"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../constant/theme");

var _Molecules = require("../Molecules");

var _Text = _interopRequireDefault(require("./Text"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function toHHMMSS(sec) {
  var sec_num = parseInt(sec, 10); // don't forget the second param

  var hours = Math.floor(sec_num / 3600);
  var minutes = Math.floor((sec_num - hours * 3600) / 60);
  var seconds = sec_num - hours * 3600 - minutes * 60;

  if (hours < 10) {
    hours = '0' + hours;
  }

  if (minutes < 10) {
    minutes = '0' + minutes;
  }

  if (seconds < 10) {
    seconds = '0' + seconds;
  }

  return minutes + ':' + seconds;
}

class CountdownComponent extends _react.Component {
  constructor(props) {
    super(props);

    _defineProperty(this, "decrementClock", () => {
      if (this.state.timer === 0) {
        clearInterval(this.clockCall);
      }

      this.setState(prevstate => ({
        timer: prevstate.timer === 0 ? prevstate.timer - 0 : prevstate.timer - 1
      }));
    });

    _defineProperty(this, "startTimer", () => {
      this.setState({
        timer: 60 * this.props.minutes
      });
      this.clockCall = setInterval(() => {
        this.decrementClock();
      }, 1000);
    });

    _defineProperty(this, "onRestart", () => {
      this.startTimer();
      this.props.onFinish && this.props.onFinish();
    });

    this.state = {
      timer: 60 // 1 mins

    };
  }

  componentDidMount() {
    this.startTimer();
  }

  componentWillUnmount() {
    clearInterval(this.clockCall);
  }

  render() {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, this.state.timer === 0 ? /*#__PURE__*/_react.default.createElement(_Molecules.ButtonText, {
      onPress: this.onRestart,
      title: this.props.resendTitle,
      textColor: this.props.buttonResendColor,
      textVariant: 'extraBold'
    }) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.wrapper
    }, /*#__PURE__*/_react.default.createElement(_Text.default, {
      text: toHHMMSS(this.state.timer),
      textVariant: 'extraBold',
      color: this.props.buttonResendColor
    })));
  }

}

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-start',
    marginVertical: _theme.width * 0.05,
    padding: _theme.width * 0.03
  },
  btnText: {
    marginLeft: _theme.width * 0.03,
    color: _theme.colors.sec.blue
  }
});

CountdownComponent.propTypes = {
  onFinish: _propTypes.default.func,
  resendTitle: _propTypes.default.string,
  minutes: _propTypes.default.number,
  buttonResendColor: _propTypes.default.string
};
CountdownComponent.defaultProps = {
  onFinish: () => {},
  resendTitle: 'Kirim Ulang OTP',
  buttonResendColor: _theme.colors.grey.black,
  minutes: 1
};
var _default = CountdownComponent;
exports.default = _default;
//# sourceMappingURL=Countdown.js.map