"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _button = _interopRequireDefault(require("./button.style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Button = _ref => {
  let {
    title,
    onPress,
    disabled,
    style,
    loading,
    textColor,
    textSize,
    textStyle,
    leftIcon,
    rightIcon,
    iconColor = 'white',
    iconSize = 20
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    disabled: disabled,
    style: [_button.default.buttonDefault, disabled && {
      backgroundColor: _theme.colors.grey.grey9
    }, style]
  }, loading ? /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    color: textColor,
    size: "small"
  }) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _button.default.row
  }, leftIcon ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _button.default.leftIcon
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    size: iconSize,
    name: leftIcon,
    color: iconColor
  })) : null, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    adjustsFontSizeToFit: true,
    numberOfLines: 1,
    text: title,
    size: textSize,
    color: textColor,
    variant: "bold",
    textStyle: textStyle
  }), rightIcon ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _button.default.rightIcon
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    size: iconSize,
    name: rightIcon,
    color: iconColor
  })) : null));
};

Button.propTypes = {
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]).isRequired,
  size: _propTypes.default.oneOf(_theme.defaultSize),
  variant: _propTypes.default.oneOf(_theme.defaultVariant),
  onPress: _propTypes.default.func.isRequired
};
Button.defaultProps = {
  title: 'Button Title',
  textSize: 'medium',
  textVariant: 'medium',
  color: _theme.colors.primary,
  textColor: _theme.colors.grey.white,
  onPress: () => {}
};

var _default = /*#__PURE__*/_react.default.memo(Button);

exports.default = _default;
//# sourceMappingURL=Button.js.map