"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const ButtonIcon = _ref => {
  let {
    btnColor = _theme.colors.grey.grey8,
    onPress,
    iconSize,
    iconName,
    iconColor = _theme.colors.grey.white,
    customIcon,
    style = {},
    disabled,
    ...props
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    onPress: onPress,
    activeOpacity: 0.8,
    disabled: disabled,
    style: [styles.container, {
      backgroundColor: disabled ? _theme.colors.grey.grey9 : btnColor
    }, style]
  }, props), customIcon ? customIcon : /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: iconName,
    color: iconColor,
    size: iconSize ? iconSize : _theme.width * 0.1
  }));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    justifyContent: 'center',
    alignItems: 'center',
    width: _theme.width * 0.05,
    height: _theme.width * 0.05,
    borderRadius: _theme.width * 0.05 / 2
  }
});

var _default = ButtonIcon;
exports.default = _default;
//# sourceMappingURL=ButtonIcon.js.map