"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ButtonRound;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ButtonRound(_ref) {
  let {
    title,
    onPress,
    buttonStyle,
    textColor
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    style: buttonStyle ? buttonStyle : styles.buttonActive
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: title,
    color: textColor ? textColor : _theme.colors.grey.white
  }));
}

const styles = _reactNative.StyleSheet.create({
  buttonActive: {
    backgroundColor: _theme.colors.primary,
    paddingHorizontal: _theme.width * 0.03,
    paddingVertical: _theme.width * 0.02,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 20,
    borderWidth: 1,
    borderColor: _theme.colors.grey.grey2
  }
});
//# sourceMappingURL=ButtonRound.js.map