"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _button = _interopRequireDefault(require("./button.style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ButtonText = _ref => {
  let {
    title,
    textSize,
    textVariant,
    textColor,
    style,
    onPress
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    style: [_button.default.buttonText, style]
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: title,
    size: textSize,
    variant: textVariant,
    color: textColor
  }));
};

ButtonText.propTypes = {
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]).isRequired,
  size: _propTypes.default.oneOf(_theme.defaultSize),
  variant: _propTypes.default.oneOf(_theme.defaultVariant),
  onPress: _propTypes.default.func.isRequired
};
ButtonText.defaultProps = {
  title: 'Title',
  textSize: 'medium',
  textVariant: 'bold',
  textColor: _theme.colors.primary,
  onPress: () => {}
};

var _default = /*#__PURE__*/_react.default.memo(ButtonText);

exports.default = _default;
//# sourceMappingURL=ButtonText.js.map