"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _ = require("..");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const QtyButton = _ref => {
  let {
    inputable,
    onValueChange,
    initQty,
    inputAble
  } = _ref;
  const [qty, setQty] = (0, _react.useState)(1);
  (0, _react.useEffect)(() => {
    if (initQty) {
      setQty(initQty);
    }
  }, [initQty]);
  (0, _react.useEffect)(() => {
    onValueChange ? onValueChange(qty) : null;
  }, [qty]);

  const onPressMinus = () => {
    if (qty === 0) {
      setQty(0);
    } else {
      setQty(qty - 1);
    }
  };

  const onPressPlus = () => {
    setQty(qty + 1);
  };

  if (inputAble) {
    const Content = (0, _react.useMemo)(() => {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: stylesInputable.rowAlignCenter
      }, /*#__PURE__*/_react.default.createElement(_.ButtonIcon, {
        onPress: onPressMinus,
        iconName: "minus",
        style: stylesInputable.buttonItem,
        iconSize: 23,
        iconColor: _theme.colors.primary
      }), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
        style: stylesInputable.input,
        value: qty.toString(),
        defaultValue: initQty.toString(),
        onChangeText: val => {
          setQty(val);
        },
        keyboardType: "number-pad"
      }), /*#__PURE__*/_react.default.createElement(_.ButtonIcon, {
        onPress: onPressPlus,
        iconName: "plus",
        style: stylesInputable.buttonItem,
        iconSize: 20,
        iconColor: _theme.colors.primary
      }));
    }, [qty]);
    return Content;
  } else {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.rowAlignCenter
    }, /*#__PURE__*/_react.default.createElement(_.ButtonIcon, {
      onPress: onPressMinus,
      iconName: "minus",
      style: styles.buttonItem,
      iconSize: 15,
      iconColor: _theme.colors.primary
    }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.qtyVal
    }, inputable ? null : /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
      text: qty
    })), /*#__PURE__*/_react.default.createElement(_.ButtonIcon, {
      onPress: onPressPlus,
      iconName: "plus",
      style: styles.buttonItem,
      iconSize: 15,
      iconColor: _theme.colors.primary
    }));
  }
};

const styles = _reactNative.StyleSheet.create({
  rowAlignCenter: {
    flexDirection: 'row',
    alignItems: 'center',
    paddingVertical: _theme.width * 0.03
  },
  qtyVal: {
    marginHorizontal: _theme.width * 0.05
  },
  buttonItem: {
    padding: _theme.width * 0.01,
    backgroundColor: 'white',
    borderWidth: 1,
    borderColor: _theme.colors.primary,
    width: _theme.width * 0.07,
    height: _theme.width * 0.07,
    borderRadius: _theme.width * 0.07 / 2
  }
});

const stylesInputable = _reactNative.StyleSheet.create({
  rowAlignCenter: {
    flexDirection: 'row',
    alignItems: 'center',
    paddingVertical: _theme.width * 0.03
  },
  input: {
    borderRadius: 12,
    borderWidth: 1,
    borderColor: _theme.colors.grey.grey7,
    padding: _theme.width * 0.01,
    paddingVertical: 0,
    textAlign: 'center',
    marginHorizontal: _theme.width * 0.02
  },
  buttonItem: {
    padding: _theme.width * 0.01,
    backgroundColor: 'white',
    width: _theme.width * 0.07,
    height: _theme.width * 0.07
  }
});

var _default = QtyButton;
exports.default = _default;
//# sourceMappingURL=QtyButton.js.map