"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _helpers = require("../../../helpers");

var _Atoms = require("../../Atoms");

var _Button = require("../Button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ItemCardCart = _ref => {
  let {
    loading,
    data,
    style,
    onQtyUpdate,
    onPressTrash
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.cardItem, style]
  }, loading ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%',
      marginBottom: _theme.width * 0.03
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    color: _theme.colors.primary
  })) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: data === null || data === void 0 ? void 0 : data.image_url
    },
    style: styles.imageStall
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '80%'
    }
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.name,
    variant: "bold",
    textStyle: {
      marginBottom: _theme.width * 0.01,
      width: '80%'
    },
    numberOfLines: 1,
    color: _theme.colors.grey.grey8
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.row
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: (0, _helpers.formatMoney)(data === null || data === void 0 ? void 0 : data.price),
    textStyle: {
      flex: 4
    }
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.rowItemDetail
  }, /*#__PURE__*/_react.default.createElement(_Button.QtyButton, {
    initQty: data === null || data === void 0 ? void 0 : data.qty,
    onValueChange: onQtyUpdate
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.verticalLine
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPressTrash
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: "trash-1",
    color: _theme.colors.error,
    size: 20
  })))))));
};

const styles = _reactNative.StyleSheet.create({
  cardItem: {
    margin: _theme.width * 0.05,
    padding: _theme.width * 0.03,
    paddingBottom: 0,
    backgroundColor: 'white',
    borderRadius: _theme.width * 0.02,
    flexDirection: 'row',
    alignItems: 'flex-start',
    justifyContent: 'space-between'
  },
  imageStall: {
    width: _theme.width * 0.14,
    height: _theme.width * 0.14,
    aspectRatio: 1,
    borderRadius: _theme.width * 0.02
  },
  row: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between'
  },
  verticalLine: {
    borderLeftWidth: 1,
    borderLeftColor: _theme.colors.grey.soft,
    marginHorizontal: _theme.width * 0.01,
    width: 2,
    height: '50%'
  },
  rowItemDetail: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    flex: 6,
    paddingRight: _theme.width * 0.03,
    height: '100%'
  }
});

var _default = ItemCardCart;
exports.default = _default;
//# sourceMappingURL=ItemCardCart.js.map