"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _react = _interopRequireDefault(require("react"));

var _theme = require("../../../constant/theme");

var _Button = require("../Button");

var _Atoms = require("../../Atoms");

var _helpers = require("../../../helpers");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ItemRowCart = _ref => {
  let {
    item,
    style,
    onQtyUpdate,
    onPressTrash,
    editable = true,
    isLastItem
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.productListItem, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1.5
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: item === null || item === void 0 ? void 0 : item.image_url
    },
    style: styles.productListImage,
    resizeMode: "contain"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.rightContentItem, isLastItem ? {} : styles.item]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.productListData
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: item === null || item === void 0 ? void 0 : item.item_name,
    color: _theme.colors.grey.grey8
  }), editable ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.productListDataDetail
  }, /*#__PURE__*/_react.default.createElement(_Button.QtyButton, {
    initQty: item === null || item === void 0 ? void 0 : item.qty,
    onValueChange: onQtyUpdate
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.verticalLine
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPressTrash
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: "trash-1",
    color: _theme.colors.error,
    size: 20
  }))) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.productListDataDetail
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: `${item === null || item === void 0 ? void 0 : item.qty} produk`,
    textStyle: {
      paddingVertical: _theme.width * 0.04
    }
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.priceWrapper
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: (0, _helpers.formatMoney)(item === null || item === void 0 ? void 0 : item.price),
    textStyle: styles.itemPrice,
    variant: "bold",
    color: _theme.colors.grey.black
  }))));
};

const styles = _reactNative.StyleSheet.create({
  productListItem: {
    flex: 1,
    flexDirection: 'row',
    alignItems: 'flex-start',
    justifyContent: 'space-between',
    marginBottom: _theme.width * 0.03
  },
  productListImage: {
    width: _theme.width * 0.13,
    height: _theme.width * 0.13,
    aspectRatio: 1,
    borderRadius: _theme.width * 0.08
  },
  rightContentItem: {
    flex: 7,
    flexDirection: 'row',
    justifyContent: 'space-between'
  },
  item: {
    borderBottomWidth: 0.5,
    borderBottomColor: _theme.colors.grey.grey8
  },
  productListData: {
    flex: 6,
    paddingHorizontal: _theme.width * 0.03
  },
  productListDataDetail: {
    width: '80%',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    marginTop: _theme.width * 0.01
  },
  priceWrapper: {
    flex: 2,
    alignItems: 'flex-end',
    justifyContent: 'flex-end'
  },
  verticalLine: {
    borderLeftWidth: 1,
    borderLeftColor: _theme.colors.grey.soft,
    marginHorizontal: _theme.width * 0.01,
    width: 1,
    height: '50%'
  },
  itemPrice: {
    textAlign: 'center',
    textAlignVertical: 'bottom',
    paddingBottom: _theme.width * 0.04
  }
});

var _default = ItemRowCart;
exports.default = _default;
//# sourceMappingURL=ItemRowCart.js.map