"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _momentTimezone = _interopRequireDefault(require("moment-timezone"));

require("moment/locale/id");

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _icons = require("../../../assets/icons");

var _theme = require("../../../constant/theme");

var _helpers = require("../../../helpers");

var _Atoms = require("../../Atoms");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defaultIcon = _icons.Icons.bagPrimary;

const OrderItem = _ref => {
  var _data$items, _data$items2;

  let {
    data,
    imageIcon,
    style,
    onPress
  } = _ref;
  const formattedDate = data !== null && data !== void 0 && data.orderDate ? `${(0, _momentTimezone.default)(data === null || data === void 0 ? void 0 : data.orderDate).format('LL')}, ${(0, _momentTimezone.default)(data === null || data === void 0 ? void 0 : data.orderDate).format('LT')}` : '';
  const item = data === null || data === void 0 ? void 0 : data.items[0];
  const renderName = (data === null || data === void 0 ? void 0 : (_data$items = data.items) === null || _data$items === void 0 ? void 0 : _data$items.length) > 1 ? `${item === null || item === void 0 ? void 0 : item.name} + ${(data === null || data === void 0 ? void 0 : (_data$items2 = data.items) === null || _data$items2 === void 0 ? void 0 : _data$items2.length) - 1} Lainnya` : item === null || item === void 0 ? void 0 : item.name;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    activeOpacity: 0.8,
    onPress: onPress,
    style: [styles.cardWrapper, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.header
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.flex1
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: imageIcon ? imageIcon : defaultIcon,
    style: styles.headIcon,
    resizeMode: "contain"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.headBody
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.number,
    variant: "bold"
  }), /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: formattedDate,
    variant: "light"
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.body
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 2
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: item ? {
      uri: item.image_url
    } : {},
    style: styles.itemImage,
    resizeMode: "contain"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 8,
      paddingLeft: _theme.width * 0.03
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      alignItems: 'flex-start'
    }
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.status,
    color: data === null || data === void 0 ? void 0 : data.textColor,
    size: "small",
    textStyle: [styles.status, {
      backgroundColor: data !== null && data !== void 0 && data.statusColor ? data === null || data === void 0 ? void 0 : data.statusColor : _theme.colors.trans.primary10
    }],
    numberOfLines: 1
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      paddingTop: _theme.width * 0.02
    }
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: renderName,
    variant: "bold"
  }), /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: (0, _helpers.formatMoney)(item === null || item === void 0 ? void 0 : item.price),
    variant: "light",
    textStyle: {
      marginTop: _theme.width * 0.03
    }
  })))));
};

const styles = _reactNative.StyleSheet.create({
  flex1: {
    flex: 1
  },
  cardWrapper: {
    borderWidth: 1,
    borderColor: _theme.colors.grey.soft,
    borderRadius: _theme.width * 0.05,
    padding: _theme.width * 0.05
  },
  header: {
    flexDirection: 'row',
    alignItems: 'flex-start',
    justifyContent: 'flex-start',
    borderBottomColor: _theme.colors.grey.soft,
    borderBottomWidth: 1,
    paddingBottom: _theme.width * 0.03
  },
  headIcon: {
    width: _theme.width * 0.08,
    height: _theme.width * 0.08,
    aspectRatio: 1
  },
  itemImage: {
    width: _theme.width * 0.15,
    height: _theme.width * 0.15,
    aspectRatio: 1
  },
  headBody: {
    flex: 9,
    paddingLeft: _theme.width * 0.05
  },
  body: {
    flexDirection: 'row',
    alignItems: 'flex-start',
    justifyContent: 'flex-start',
    paddingTop: _theme.width * 0.03
  },
  status: {
    paddingVertical: _theme.width * 0.01,
    borderRadius: _theme.width * 0.01,
    paddingHorizontal: _theme.width * 0.02
  }
});

var _default = OrderItem;
exports.default = _default;
//# sourceMappingURL=OrderItem.js.map