"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _Button = require("../Button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const StoreMedium = _ref => {
  var _data$id, _data$distance;

  let {
    data = {},
    onCardPress,
    style,
    imageStyle,
    btnColor
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onCardPress,
    key: data === null || data === void 0 ? void 0 : (_data$id = data.id) === null || _data$id === void 0 ? void 0 : _data$id.toString(),
    style: [styles.cardWrapper, styles.shadow, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.imageWrapper, imageStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: data === null || data === void 0 ? void 0 : data.image,
    resizeMode: "cover",
    resizeMethod: "auto",
    style: styles.imageThumbnail
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.distanceWrapper
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: "location",
    color: _theme.colors.primary,
    size: 15
  }), /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: (data === null || data === void 0 ? void 0 : (_data$distance = data.distance) === null || _data$distance === void 0 ? void 0 : _data$distance.toString()) + ' km',
    variant: "light",
    textStyle: {
      marginLeft: _theme.width * 0.01
    }
  })), /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.name,
    variant: "bold",
    textStyle: styles.cardTitle,
    size: "large"
  }), /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.address,
    textStyle: styles.cardTitle
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.distanceWrapper
  }, /*#__PURE__*/_react.default.createElement(_Button.ButtonText, {
    title: (data === null || data === void 0 ? void 0 : data.status) || '',
    textColor: btnColor
  })));
};

const styles = _reactNative.StyleSheet.create({
  shadow: {
    elevation: 3,
    shadowColor: _theme.colors.grey.grey4,
    shadowOffset: {
      width: 0,
      height: 0
    },
    shadowRadius: 10,
    shadowOpacity: 0.1
  },
  cardWrapper: {
    backgroundColor: 'white',
    width: '43%',
    borderRadius: 20,
    padding: _theme.width * 0.03,
    margin: _theme.width * 0.03
  },
  imageWrapper: {
    width: '100%',
    height: _theme.width * 0.37,
    justifyContent: 'center',
    alignItems: 'center',
    marginBottom: _theme.width * 0.03
  },
  imageThumbnail: {
    width: '100%',
    height: '100%',
    aspectRatio: 1,
    borderRadius: 20
  },
  distanceWrapper: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    width: '100%'
  },
  cardTitle: {
    marginLeft: _theme.width * 0.01,
    width: '100%',
    textAlign: 'center',
    marginVertical: _theme.width * 0.03
  }
});

var _default = StoreMedium;
exports.default = _default;
//# sourceMappingURL=StoreMedium.js.map