"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const StoreSmall = _ref => {
  let {
    loading,
    data = {},
    style,
    onPress
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    activeOpacity: 0.8,
    style: [styles.cardStall, styles.shadow, style]
  }, loading ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    color: _theme.colors.primary
  })) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: data === null || data === void 0 ? void 0 : data.image_url
    },
    style: styles.imageStall
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '80%'
    }
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.name,
    variant: "bold",
    textStyle: {
      marginBottom: _theme.width * 0.01
    },
    numberOfLines: 1
  }), /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.formattedAddress,
    numberOfLines: 3
  }))));
};

const styles = _reactNative.StyleSheet.create({
  shadow: {
    elevation: 3,
    shadowColor: _theme.colors.grey.grey4,
    shadowOffset: {
      width: 0,
      height: 0
    },
    shadowRadius: 10,
    shadowOpacity: 0.1
  },
  cardStall: {
    margin: _theme.width * 0.05,
    padding: _theme.width * 0.03,
    backgroundColor: 'white',
    borderRadius: _theme.width * 0.02,
    flexDirection: 'row',
    alignItems: 'flex-start',
    justifyContent: 'space-between'
  },
  imageStall: {
    width: _theme.width * 0.14,
    height: _theme.width * 0.14,
    aspectRatio: 1,
    borderRadius: _theme.width * 0.02
  }
});

var _default = StoreSmall;
exports.default = _default;
//# sourceMappingURL=StoreSmall.js.map