"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _Input = require("../Input");

var _Header = _interopRequireDefault(require("./Header"));

var _header = require("./header.style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const HeaderSearch = _ref => {
  let {
    noShadow,
    style,
    onPress,
    onChangeVal,
    iconColor,
    placeholder = 'Search here',
    ...props
  } = _ref;
  const [searchVal, setSearchVal] = (0, _react.useState)('');
  (0, _react.useEffect)(() => {
    onChangeVal(searchVal);
  }, [searchVal]);
  return /*#__PURE__*/_react.default.createElement(_Header.default, {
    noShadow: noShadow,
    style: style
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _header.styles.headerSearch
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: "arrow-left",
    color: iconColor ? iconColor : _theme.colors.grey.black,
    size: 30
  })), /*#__PURE__*/_react.default.createElement(_Input.TextInputIcon, _extends({
    style: _header.styles.searchInput,
    placeholder: placeholder,
    onChangeText: val => setSearchVal(val),
    value: searchVal
  }, props))));
};

var _default = HeaderSearch;
exports.default = _default;
//# sourceMappingURL=HeaderSearch.js.map