"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _react = _interopRequireWildcard(require("react"));

var _StackedLabelInput = _interopRequireDefault(require("./StackedLabelInput"));

var _Atoms = require("../../Atoms");

var _theme = require("../../../constant/theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const NoteField = _ref => {
  let {
    onChangeNote,
    maxLength = 500
  } = _ref;
  const [note, setNote] = (0, _react.useState)('');
  (0, _react.useEffect)(() => {
    onChangeNote ? onChangeNote(note) : null;
  }, [note]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.noteWrapper
  }, /*#__PURE__*/_react.default.createElement(_StackedLabelInput.default, {
    placeholder: "Contoh: saya bayar sesuai jumlah",
    label: "Tambahan Catatan (Opsional)",
    inputStyle: Boolean(note) ? styles.noteInput : {},
    value: note,
    onChangeText: val => setNote(val),
    containerStyle: Boolean(note) ? styles.noteContainer : {},
    multiline: Boolean(note) ? true : false,
    maxLength: maxLength
  }), Boolean(note) ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.noteLength
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: `${note === null || note === void 0 ? void 0 : note.split('').length}/${maxLength}`
  })) : null);
};

const styles = _reactNative.StyleSheet.create({
  noteWrapper: {
    marginTop: _theme.width * 0.03
  },
  noteInput: {
    maxHeight: _theme.height * 0.18,
    textAlign: 'justify',
    textAlignVertical: 'top'
  },
  noteContainer: {
    alignItems: 'flex-start',
    maxHeight: _theme.height * 0.15,
    marginBottom: _theme.width * 0.01
  },
  noteLength: {
    width: '100%',
    justifyContent: 'flex-start',
    alignItems: 'flex-end',
    marginVertical: _theme.width * 0.05
  }
});

var _default = NoteField;
exports.default = _default;
//# sourceMappingURL=NoteField.js.map