"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = exports.default = void 0;

var _lodash = require("lodash");

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Text = _interopRequireDefault(require("../../Atoms/Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const PinInput = props => {
  const {
    pinCount,
    onSubmit,
    submitted,
    autofilledInput,
    styleProps,
    borderBottomColorInactive,
    borderBottomColorActive,
    type,
    showInvalid,
    setShowInvalid,
    returnType,
    clearInput,
    setClearInput,
    onPinFilled = () => {},
    route
  } = props;
  const fields = (0, _react.useRef)(null);
  const [input, setInput] = (0, _react.useState)('');
  const [renderedInput, setRenderedInput] = (0, _react.useState)('');

  const changeTextToAskterisk = () => {
    setRenderedInput(renderedInput => '*'.repeat(renderedInput.length));
  };

  const debounceHandler = (0, _react.useCallback)((0, _lodash.debounce)(changeTextToAskterisk, 500), []);
  (0, _react.useEffect)(() => {
    setTimeout(() => {
      focusField();
    }, 350);
  }, []);
  (0, _react.useEffect)(() => {
    if (input.length === pinCount) {
      onPinFilled({
        isFilled: true,
        pinValue: input
      });
    } else if (input.length < pinCount) {
      onPinFilled({
        isFilled: false
      });
    }
  }, [input, pinCount]);
  (0, _react.useEffect)(() => {
    if ((autofilledInput === null || autofilledInput === void 0 ? void 0 : autofilledInput.length) === pinCount) {
      setInput(autofilledInput);

      _reactNative.Keyboard.dismiss();
    }

    if (type === 'pin') {
      if (submitted) {
        console.log('submitted and filled', input);

        _reactNative.Keyboard.dismiss();
      }
    }
  }, [submitted, autofilledInput, type]);
  (0, _react.useEffect)(() => {
    if (showInvalid) {
      console.log('showInvalid');
      setInput('');
      setRenderedInput('');
    }

    if (clearInput) {
      console.log('clear');
      setInput('');
      setRenderedInput('');
    }
  }, [showInvalid, clearInput]);

  const handleChangeText = text => {
    showInvalid && setShowInvalid(false);
    clearInput && setClearInput(false);

    if (text.length <= pinCount) {
      setInput(text);

      if (type === 'pin') {
        console.log('text', text);

        if (text.length < renderedInput.length) {
          setRenderedInput(renderedInput => {
            console.log('renderedInput', renderedInput);
            return renderedInput.substring(0, text.length);
          });
        } else {
          setRenderedInput('*'.repeat(text.length - 1) + text[text.length - 1]);
          debounceHandler();
        }
      }
    }

    if (text.length === pinCount && type === 'pin') {
      _reactNative.Keyboard.dismiss();

      console.log('text', text); // onSubmit(text);
    } // console.log("text.length", text.length, pinCount, type);


    if (text.length === pinCount && type === 'otp') {
      _reactNative.Keyboard.dismiss();
    }
  };

  const focusField = () => {
    _reactNative.Keyboard.dismiss();

    setTimeout(() => {
      fields.current ? fields.current.focus() : null;
    }, 85);
  };

  const blurAll = () => {
    fields.current.blur();
  };

  const renderOneField = (i, index) => {
    if (type === 'pin') {
      if (renderedInput[index + 1] !== undefined) {
        return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          key: index,
          style: styles.dot
        });
      } else {
        if (renderedInput[index] === undefined) {
          return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
            key: index,
            style: styles.dot
          });
        }

        return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          key: index + 'view',
          style: [styles.defaultTextFieldStyle, styles.inputContainerPin, {
            borderBottomColor: input[index] === undefined ? borderBottomColorInactive : borderBottomColorActive
          }]
        }, /*#__PURE__*/_react.default.createElement(_Text.default, {
          key: index,
          text: input[index],
          color: _theme.colors.grey.white,
          size: "extraLarge",
          textStyle: {
            textAlign: 'center'
          },
          variant: "semibold"
        }));
      }
    } else {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        key: index + 'view',
        style: [styles.defaultTextFieldStyle, styles.inputContainerOtp, {
          borderBottomColor: input[index] === undefined ? borderBottomColorInactive : borderBottomColorActive
        }]
      }, /*#__PURE__*/_react.default.createElement(_Text.default, {
        key: index,
        text: input[index],
        color: _theme.colors.grey.white,
        size: "extraLarge",
        textStyle: {
          textAlign: 'center'
        },
        variant: "semibold"
      }));
    }
  };

  const renderTextFields = () => {
    const pin = new Array(pinCount).fill(0);
    return pin.map((i, index) => renderOneField(i, index));
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      marginTop: _theme.width * 0.2
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    ref: fields,
    style: styles.hiddenTextInput,
    onChangeText: handleChangeText,
    keyboardType: "phone-pad",
    value: input,
    textContentType: "oneTimeCode",
    underlineColorAndroid: "transparent"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, {
    onPress: focusField
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.inputWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container]
  }, renderTextFields()))));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    flexDirection: 'row',
    width: '100%',
    justifyContent: 'space-evenly',
    alignItems: 'center'
  },
  defaultTextFieldStyle: {
    width: 37,
    borderColor: 'white',
    borderWidth: 0,
    borderRadius: 5,
    textAlign: 'center',
    paddingTop: 0
  },
  inputContainerPin: {
    height: 46,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 0
  },
  inputContainerOtp: {
    height: 46,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 0,
    borderBottomWidth: 2
  },
  hiddenTextInput: {
    width: 0,
    height: 0,
    position: 'absolute'
  },
  inputWrapper: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  dot: {
    width: 20,
    height: 20,
    marginHorizontal: 10,
    borderRadius: 15,
    backgroundColor: 'white'
  }
});

exports.styles = styles;
var _default = PinInput;
exports.default = _default;
//# sourceMappingURL=PinInput.js.map