"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _momentTimezone = _interopRequireDefault(require("moment-timezone"));

require("moment/locale/id");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeModalDatetimePicker = _interopRequireDefault(require("react-native-modal-datetime-picker"));

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _input = require("./input.style");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const inputType = ['email', 'phonenumber', 'datepicker', 'dropdown', 'default'];
const StackedLabelInput = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let {
    label,
    labelSize,
    labelColor,
    value,
    keyboardType,
    containerStyle,
    inputStyle,
    invalidInput,
    invalidMsg,
    optional,
    required,
    secureTextEntry,
    type,
    disabled,
    right,
    placeholder,
    onDateChange,
    onPress,
    isLoading,
    onClearText,
    ...props
  } = _ref;
  (0, _react.useImperativeHandle)(ref, () => ({
    showDatePicker: _showDatePicker,
    closeDatePicker: _closeDatePicker
  }));
  const [showEntry, setShowEntry] = (0, _react.useState)(secureTextEntry);
  const [showPicker, setShowPicker] = (0, _react.useState)(false);
  const [tempSelectDate, setTempSelectDate] = (0, _react.useState)({
    date: '',
    formattedDate: ''
  });

  function _showDatePicker() {
    setShowPicker(true);
  }

  function _closeDatePicker() {
    setShowPicker(false);
  }

  const RenderChildren = () => {
    let Child = null;

    let Main = /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({}, props, {
      placeholder: placeholder,
      style: [_theme.Fonts.regular, _theme.Fonts.small, _input.styles.formInput, {
        width: right ? '90%' : '100%'
      }, inputStyle],
      value: value,
      secureTextEntry: showEntry,
      keyboardType: keyboardType,
      underlineColorAndroid: "transparent"
    })); //   if (secureTextEntry) {
    //     Child = (
    //       <Pressable
    //         disabled={disabled}
    //         onPress={() => setShowEntry(!showEntry)}
    //         style={{ width: width * 0.07 }}
    //       >
    //         <Icon
    //           name={showEntry ? "eye-off" : "eye"}
    //           type="ionicons"
    //           style={styles.childIcon}
    //         />
    //       </Pressable>
    //     );
    //   } else


    if (onClearText) {
      Child = /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
        disabled: disabled,
        onPress: onClearText,
        style: {
          width: _theme.width * 0.07
        }
      }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
        name: 'close',
        color: invalidInput ? _theme.colors.grey.grey9 : _theme.colors.grey.grey8,
        size: 15
      }));
    }

    if (type === inputType[0]) {
      //email
      if (value.length < 2 && !invalidInput) {
        Child = null;
      } else {
        Main = /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({}, props, {
          style: [_theme.Fonts.regular, _theme.Fonts.small, _input.styles.formInput, {
            width: right ? '90%' : '100%'
          }, inputStyle],
          placeholder: placeholder,
          value: value,
          secureTextEntry: showEntry,
          keyboardType: "email-address",
          autoCapitalize: "none",
          autoCorrect: false,
          underlineColorAndroid: "transparent"
        })); //   Child = (
        //     <Icon
        //       name={invalidInput ? 'close-circle' : 'check_icon_filled'}
        //       color={invalidInput ? colors.error : colors.sec.green}
        //       size={15}
        //     />
        //   );
      }
    } else if (type === inputType[1]) {
      //phonenumber
      Main = /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({}, props, {
        placeholder: placeholder,
        style: [_theme.Fonts.regular, _theme.Fonts.small, _input.styles.formInput, {
          width: right ? '90%' : '100%'
        }, inputStyle],
        value: value,
        secureTextEntry: showEntry,
        keyboardType: "phone-pad",
        underlineColorAndroid: "transparent"
      }));
    } //   else if (type === inputType[2]) {
    //     //datepicker
    //     let inputValue = '';
    //     if (value) {
    //       inputValue = value;
    //     } else if (!value) {
    //       if (tempSelectDate.formattedDate) {
    //         inputValue = tempSelectDate.formattedDate;
    //       } else {
    //         inputValue = placeholder;
    //       }
    //     }
    //     Main = (
    //       <Text
    //         text={inputValue}
    //         color={
    //           tempSelectDate.formattedDate
    //             ? colors.grey.black
    //             : colors.grey.grey3
    //         }
    //         textStyle={[styles.formInput]}
    //       />
    //     );
    //     Child = (
    //       <Pressable
    //         disabled={disabled}
    //         onPress={_showDatePicker}
    //         style={{ width: width * 0.07 }}
    //       >
    //         <Icon name={'calendar'} color={colors.grey.grey2} size={15} />
    //       </Pressable>
    //     );
    //   }
    //    else if (type === inputType[3]) {
    //     //dropdown
    //     Main = (
    //       <Text
    //         text={value ? value : placeholder}
    //         color={value ? colors.grey.black : colors.grey.grey3}
    //         textStyle={[styles.formInput]}
    //       />
    //     );
    //     Child = (
    //       <Pressable disabled={disabled} style={{ width: width * 0.07 }}>
    //         <Icon
    //           name={'back_down-frame'}
    //           color={colors.grey.grey2}
    //           size={15}
    //         />
    //       </Pressable>
    //     );
    //   }


    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _input.styles.content
    }, Main, isLoading ? /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
      size: 'small',
      color: _theme.colors.primary
    }) : Child);
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_input.styles.container, containerStyle]
  }, label ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _input.styles.labelWrapper
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: label,
    size: labelSize ? labelSize : 'large' //   variant="bold"
    ,
    textStyle: {
      color: labelColor ? labelColor : _theme.colors.grey.grey8
    }
  }), required ? /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: "*",
    color: _theme.colors.primary
  }) : null, optional ? /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: "(Opsional)",
    textStyle: {
      marginLeft: _theme.width * 0.02
    }
  }) : null) : null, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    disabled: isLoading,
    onPress: onPress,
    style: _input.styles.formInputContainer
  }, RenderChildren(), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({}, props, {
    clearButtonMode: "always",
    placeholder: placeholder,
    style: [_theme.Fonts.regular, _theme.Fonts.medium, _input.styles.formInput, {
      width: right ? '90%' : '100%'
    }, inputStyle],
    value: value,
    secureTextEntry: showEntry,
    keyboardType: keyboardType,
    underlineColorAndroid: "transparent"
  }))), invalidInput && type !== 'email' && /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: invalidMsg ? invalidMsg : `${label} tidak boleh kosong`,
    size: "small",
    color: _theme.colors.error
  }), /*#__PURE__*/_react.default.createElement(_reactNativeModalDatetimePicker.default, {
    isVisible: showPicker,
    date: tempSelectDate.date ? new Date(tempSelectDate.date) : new Date(),
    mode: "date",
    maximumDate: new Date(),
    onConfirm: date => {
      setShowPicker(false);
      onDateChange((0, _momentTimezone.default)(date).format('DD-MM-YYYY'));
      setTempSelectDate({
        date: date,
        formattedDate: (0, _momentTimezone.default)(date).format('DD-MM-YYYY')
      });
    },
    onCancel: () => {
      setShowPicker(false);
    }
  }));
});
StackedLabelInput.propTypes = {
  label: _propTypes.default.string,
  containerStyle: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.array]),
  type: _propTypes.default.oneOf(inputType),
  inputStyle: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.array]),
  invalidInput: _propTypes.default.bool
};
StackedLabelInput.defaultProps = {
  containerStyle: {},
  inputStyle: {},
  keyboardType: 'default',
  value: '',
  invalidInput: false,
  type: 'default'
};
var _default = StackedLabelInput;
exports.default = _default;
//# sourceMappingURL=StackedLabelInput.js.map