"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _input = require("./input.style");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const TextInputIcon = _ref => {
  let {
    inputStyle,
    onChangeText,
    value,
    right,
    style,
    leftIcon = 'search',
    iconColor,
    placeholder = 'Type Here ...',
    ...props
  } = _ref;
  const [tempValue, setTempValue] = (0, _react.useState)('');
  (0, _react.useEffect)(() => {
    setTempValue(value);
  }, [value]);
  (0, _react.useEffect)(() => {
    if (tempValue) {
      onChangeText(tempValue);
    }
  }, [tempValue]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_input.styles.content, {
      paddingHorizontal: _theme.width * 0.02
    }, style]
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: leftIcon,
    size: 20,
    color: iconColor
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({}, props, {
    style: [_theme.Fonts.regular, _theme.Fonts.small, _input.styles.formInput, {
      width: '95%'
    }, inputStyle],
    value: tempValue,
    onChangeText: val => {
      setTempValue(val);
    },
    placeholder: placeholder,
    underlineColorAndroid: "transparent"
  })), tempValue ? /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: _clearText
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: "close",
    size: 20
  })) : null);

  function _clearText() {
    setTempValue('');
  }
};

var _default = TextInputIcon;
exports.default = _default;
//# sourceMappingURL=TextInputIcon.js.map