"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _theme = require("../../../constant/theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const ImageViewer = _ref => {
  let {
    isVisible,
    image,
    onPress,
    modalStyle,
    ...props
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, _extends({
    animationIn: "slideInUp",
    isVisible: isVisible,
    swipeDirection: ['down'],
    hideModalContentWhileAnimating: true,
    useNativeDriver: true
  }, props), /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, {
    backgroundColor: 'rgba(0,0,0,0.7)',
    translucent: true
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    activeOpacity: 1,
    onPress: onPress,
    style: [styles.container, modalStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: image,
    style: {
      width: '100%',
      height: '100%'
    },
    resizeMode: "contain",
    resizeMethod: "auto"
  })));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    borderColor: _theme.colors.trans.black,
    borderRadius: 20,
    width: _theme.width * 0.9,
    height: _theme.height * 0.9
  }
});

var _default = ImageViewer;
exports.default = _default;
//# sourceMappingURL=ImageViewer.js.map