"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const PickerIconGroup = _ref => {
  let {
    data = [],
    onSelect
  } = _ref;

  const renderItem = _ref2 => {
    let {
      item,
      index
    } = _ref2;
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: () => {
        onSelect(item);
      },
      style: styles.item
    }, item.image ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        flex: 1
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.iconWrapper
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      source: {
        uri: item.image
      },
      style: styles.iconImage
    }))) : null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [{
        flex: item !== null && item !== void 0 && item.image ? 9 : 1
      }, styles.itemList]
    }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
      text: item === null || item === void 0 ? void 0 : item.name
    }), /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
      name: "right",
      color: _theme.colors.grey.black,
      size: 20
    })));
  };

  const Content = (0, _react.useMemo)(() => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        paddingTop: _theme.width * 0.03
      }
    }, data.map(el => {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: {
          marginBottom: _theme.width * 0.05
        }
      }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
        text: el.name,
        variant: "bold",
        color: _theme.colors.grey.grey8
      }), /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
        style: styles.listWrapper,
        data: el === null || el === void 0 ? void 0 : el.options,
        keyExtractor: (item, index) => index.toString(),
        renderItem: renderItem,
        nestedScrollEnabled: true,
        showsVerticalScrollIndicator: false
      }));
    }));
  }, [data]);
  return Content;
};

const styles = _reactNative.StyleSheet.create({
  listWrapper: {
    width: '100%'
  },
  item: {
    flex: 1,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    borderBottomColor: _theme.colors.grey.grey8,
    borderBottomWidth: 0.5,
    paddingVertical: _theme.width * 0.03
  },
  iconWrapper: {
    justifyContent: 'center',
    alignItems: 'center',
    width: 30,
    height: 30,
    borderRadius: 15,
    backgroundColor: _theme.colors.trans.primary10,
    borderColor: _theme.colors.primary,
    borderWidth: 1
  },
  iconImage: {
    width: '100%',
    height: '100%',
    aspectRatio: 1
  },
  itemList: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between'
  }
});

var _default = PickerIconGroup;
exports.default = _default;
//# sourceMappingURL=PickerIconGroup.js.map