"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _PickerIcon = _interopRequireDefault(require("./PickerIcon"));

var _PickerIconGroup = _interopRequireDefault(require("./PickerIconGroup"));

var _RadioPicker = _interopRequireDefault(require("./RadioPicker"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const PickerList = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let {
    disableBackdrop,
    ...props
  } = _ref;
  let Body = null;
  const [pickerData, setPickerData] = (0, _react.useState)({
    isVisible: false,
    title: ''
  });
  (0, _react.useImperativeHandle)(ref, () => ({
    showPicker: (basedata, onSelect) => _showPicker(basedata, onSelect),
    closePicker: () => _closePicker()
  }));

  if ((pickerData === null || pickerData === void 0 ? void 0 : pickerData.type) === 'radio') {
    var _pickerData$selectedI;

    Body = /*#__PURE__*/_react.default.createElement(_RadioPicker.default, {
      data: pickerData === null || pickerData === void 0 ? void 0 : pickerData.options,
      onSelect: item => {
        pickerData === null || pickerData === void 0 ? void 0 : pickerData.onSelect(item);

        _closePicker();
      },
      selectedId: pickerData === null || pickerData === void 0 ? void 0 : (_pickerData$selectedI = pickerData.selectedId) === null || _pickerData$selectedI === void 0 ? void 0 : _pickerData$selectedI.toString()
    });
  } else if ((pickerData === null || pickerData === void 0 ? void 0 : pickerData.type) === 'basic') {
    Body = /*#__PURE__*/_react.default.createElement(_PickerIcon.default, {
      data: pickerData === null || pickerData === void 0 ? void 0 : pickerData.options,
      onSelect: item => {
        pickerData === null || pickerData === void 0 ? void 0 : pickerData.onSelect(item);

        _closePicker();
      }
    });
  } else if ((pickerData === null || pickerData === void 0 ? void 0 : pickerData.type) === 'basicGroup') {
    Body = /*#__PURE__*/_react.default.createElement(_PickerIconGroup.default, {
      data: pickerData === null || pickerData === void 0 ? void 0 : pickerData.options,
      onSelect: item => {
        pickerData === null || pickerData === void 0 ? void 0 : pickerData.onSelect(item);

        _closePicker();
      }
    });
  } else {
    Body = null;
  }

  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, _extends({
    onBackdropPress: disableBackdrop ? null : _closePicker,
    onBackButtonPress: disableBackdrop ? null : _closePicker,
    animationIn: "slideInUp",
    isVisible: pickerData === null || pickerData === void 0 ? void 0 : pickerData.isVisible,
    swipeDirection: ['down'],
    style: styles.wrapper,
    propagateSwipe: true,
    useNativeDriver: true
  }, props), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contentHeader
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    variant: "bold",
    size: "large",
    text: pickerData === null || pickerData === void 0 ? void 0 : pickerData.title
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: _closePicker
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: "close-line",
    color: _theme.colors.grey.grey8,
    size: 20
  }))), Body));

  function _showPicker(data, cb) {
    setPickerData({ ...data,
      isVisible: true,
      onSelect: cb
    });
  }

  function _closePicker() {
    setPickerData({
      isVisible: false,
      title: null
    });
  }
});

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    justifyContent: 'flex-end',
    margin: 0
  },
  container: {
    padding: _theme.width * 0.05,
    backgroundColor: 'white',
    borderRadius: 4,
    borderColor: 'rgba(0, 0, 0, 0.1)',
    borderTopLeftRadius: 20,
    borderTopRightRadius: 20
  },
  contentHeader: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    width: '100%'
  }
});

var _default = PickerList;
exports.default = _default;
//# sourceMappingURL=PickerList.js.map