"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _Button = require("../Button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const RadioPicker = _ref => {
  let {
    data = [],
    selectedId,
    onSelect
  } = _ref;

  const renderItem = _ref2 => {
    var _item$id;

    let {
      item,
      index
    } = _ref2;
    const selected = Boolean(selectedId === (item === null || item === void 0 ? void 0 : (_item$id = item.id) === null || _item$id === void 0 ? void 0 : _item$id.toString()));
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: () => {
        onSelect(item);
      },
      style: styles.item
    }, item.image ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        flex: 1
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.iconWrapper
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      source: item.image,
      style: styles.iconImage
    }))) : null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [{
        flex: item !== null && item !== void 0 && item.image ? 9 : 1
      }, styles.itemList]
    }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
      text: item === null || item === void 0 ? void 0 : item.title
    }), /*#__PURE__*/_react.default.createElement(_Button.RadioButton, {
      selected: selected
    })));
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    style: styles.listWrapper,
    data: data,
    keyExtractor: (item, index) => index.toString(),
    renderItem: renderItem,
    nestedScrollEnabled: true,
    showsVerticalScrollIndicator: false
  });
};

const styles = _reactNative.StyleSheet.create({
  listWrapper: {
    width: '100%'
  },
  item: {
    flex: 1,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    borderBottomColor: _theme.colors.grey.grey8,
    borderBottomWidth: 0.5,
    paddingVertical: _theme.width * 0.03
  },
  iconWrapper: {
    justifyContent: 'center',
    alignItems: 'center',
    padding: _theme.width * 0.015,
    width: 30,
    height: 30,
    borderRadius: 15,
    backgroundColor: _theme.colors.trans.primary10,
    borderColor: _theme.colors.primary,
    borderWidth: 1
  },
  iconImage: {
    width: '100%',
    height: '100%',
    aspectRatio: 1
  },
  itemList: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between'
  }
});

var _default = RadioPicker;
exports.default = _default;
//# sourceMappingURL=RadioPicker.js.map