"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _reactNativeKeyboardAwareScrollView = require("react-native-keyboard-aware-scroll-view");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Content = _ref => {
  let {
    children,
    disableKBDismissScroll,
    contentContainerStyle,
    keyboardShouldPersistTaps,
    showsVerticalScrollIndicator,
    ...props
  } = _ref;

  const _scrollView = (0, _react.useRef)();

  return /*#__PURE__*/_react.default.createElement(_reactNativeKeyboardAwareScrollView.KeyboardAwareScrollView, _extends({
    ref: _scrollView
  }, props, {
    automaticallyAdjustContentInsets: false,
    contentContainerStyle: [{}, contentContainerStyle],
    resetScrollToCoords: disableKBDismissScroll ? null : {
      x: 0,
      y: 0
    },
    keyboardShouldPersistTaps: keyboardShouldPersistTaps || 'handled',
    showsVerticalScrollIndicator: showsVerticalScrollIndicator
  }), children);
};

Content.propTypes = {
  disableKBDismissScroll: _propTypes.default.bool,
  keyboardShouldPersistTaps: _propTypes.default.string,
  style: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.number, _propTypes.default.array])
};
var _default = Content;
exports.default = _default;
//# sourceMappingURL=Content.js.map