"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _theme = require("../../../constant/theme");

var _ModalBottom = _interopRequireDefault(require("./ModalBottom"));

var _ModalCenter = _interopRequireDefault(require("./ModalCenter"));

var _ModalTop = _interopRequireDefault(require("./ModalTop"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const MainModal = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let { ...props
  } = _ref;
  const [modalData, setModalData] = (0, _react.useState)({
    isVisible: false,
    title: '',
    body: '',
    description: '',
    image: null,
    type: '',
    onPress: () => {},
    leftIconName: '',
    rightIconName: '',
    message: '',
    buttonTitle: ''
  });
  (0, _react.useImperativeHandle)(ref, () => ({
    _showModal: data => showModal(data),
    _closeModal: () => closeModal()
  }));
  const ContentModal = (0, _react.useMemo)(() => {
    if (!modalData.type) {
      console.warn('Invalid modal type, please return modal type one of [BOTTOM, CENTER]');
      return null;
    } else if (modalData.type === 'BOTTOM') {
      return /*#__PURE__*/_react.default.createElement(_ModalBottom.default, {
        onBackdropPress: modalData.disableDefaultClose ? null : closeModal,
        onBackButtonPress: modalData.disableDefaultClose ? null : closeModal,
        isVisible: modalData === null || modalData === void 0 ? void 0 : modalData.isVisible,
        title: modalData === null || modalData === void 0 ? void 0 : modalData.title,
        body: modalData === null || modalData === void 0 ? void 0 : modalData.body,
        description: (modalData === null || modalData === void 0 ? void 0 : modalData.description) || '',
        localImage: modalData === null || modalData === void 0 ? void 0 : modalData.image,
        imageStyle: {
          height: _theme.width * 0.3
        },
        onPress: () => {
          modalData.disableDefaultClose ? null : closeModal();
          (modalData === null || modalData === void 0 ? void 0 : modalData.onPressBtn) && (modalData === null || modalData === void 0 ? void 0 : modalData.onPressBtn());
        },
        buttonTitle: modalData === null || modalData === void 0 ? void 0 : modalData.buttonTitle
      });
    } else if (modalData.type === 'CENTER') {
      return /*#__PURE__*/_react.default.createElement(_ModalCenter.default, {
        onBackdropPress: modalData.disableDefaultClose ? null : closeModal,
        onBackButtonPress: modalData.disableDefaultClose ? null : closeModal,
        isVisible: modalData === null || modalData === void 0 ? void 0 : modalData.isVisible,
        title: modalData === null || modalData === void 0 ? void 0 : modalData.title,
        body: modalData === null || modalData === void 0 ? void 0 : modalData.body,
        description: modalData.description,
        image: modalData === null || modalData === void 0 ? void 0 : modalData.image,
        onPress: modalData === null || modalData === void 0 ? void 0 : modalData.onPress,
        buttonTitle: modalData === null || modalData === void 0 ? void 0 : modalData.buttonTitle
      });
    } else if (modalData.type === 'TOP') {
      return /*#__PURE__*/_react.default.createElement(_ModalTop.default, {
        onBackdropPress: modalData.disableDefaultClose ? null : closeModal,
        onBackButtonPress: modalData.disableDefaultClose ? null : closeModal,
        isVisible: modalData === null || modalData === void 0 ? void 0 : modalData.isVisible,
        onPress: modalData === null || modalData === void 0 ? void 0 : modalData.onPress,
        leftIconName: modalData === null || modalData === void 0 ? void 0 : modalData.leftIconName,
        rightIconName: modalData === null || modalData === void 0 ? void 0 : modalData.rightIconName,
        message: modalData === null || modalData === void 0 ? void 0 : modalData.message
      });
    } else {
      return null;
    }
  }, [modalData]);
  return ContentModal;

  function showModal(data) {
    setModalData(data);
  }

  function closeModal() {
    setModalData({
      isVisible: false,
      title: '',
      body: '',
      description: '',
      image: null,
      type: '',
      onPress: () => {},
      buttonTitle: ''
    });
  }
});
var _default = MainModal;
exports.default = _default;
//# sourceMappingURL=MainModal.js.map