"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _Button = _interopRequireDefault(require("../../Molecules/Button/Button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const ModalBottom = _ref => {
  let {
    isVisible,
    title,
    description,
    localImage,
    imageUrl,
    onPress,
    onBackdropPress,
    onBackButtonPress,
    buttonTitle,
    imageStyle,
    bodyStyle,
    descStyle,
    body,
    ...props
  } = _ref;
  const imageSource = localImage ? localImage : {
    uri: imageUrl
  };
  const Content = (0, _react.useMemo)(() => {
    const ContentWrapper = _reactNative.Platform.OS === 'ios' ? _reactNative.KeyboardAvoidingView : _reactNative.View;
    return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, _extends({
      onBackdropPress: onBackdropPress,
      onBackButtonPress: onBackButtonPress,
      animationIn: "slideInUp",
      isVisible: isVisible,
      swipeDirection: ['down'],
      style: styles.wrapper,
      propagateSwipe: true,
      useNativeDriver: true
    }, props), /*#__PURE__*/_react.default.createElement(ContentWrapper, {
      behavior: "padding"
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [styles.container, bodyStyle]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.centerTopALign
    }, imageUrl || localImage ? /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      resizeMode: "contain",
      style: [styles.bottomImage, imageStyle],
      source: imageSource
    }) : null, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
      variant: "bold",
      size: "large",
      text: title
    }), description ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.body
    }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
      text: description,
      textStyle: [styles.descText, descStyle]
    })) : null), body ? body : /*#__PURE__*/_react.default.createElement(_Button.default, {
      onPress: onPress,
      title: buttonTitle
    }))));
  }, [props]);
  return Content;
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    justifyContent: 'flex-end',
    margin: 0
  },
  container: {
    padding: _theme.width * 0.05,
    backgroundColor: 'white',
    borderRadius: 4,
    borderColor: 'rgba(0, 0, 0, 0.1)',
    borderTopLeftRadius: 20,
    borderTopRightRadius: 20
  },
  title: {
    marginBottom: 12
  },
  body: {
    width: '100%',
    justifyContent: 'center',
    alignSelf: 'center'
  },
  bottomImage: {
    width: _theme.width * 0.5,
    height: _theme.width * 0.5,
    margin: 10,
    borderRadius: 10
  },
  descText: {
    lineHeight: _reactNative.Platform.isPad ? 40 : 20,
    textAlign: 'center'
  },
  centerTopALign: {
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    marginBottom: _theme.width * 0.05
  }
});

var _default = ModalBottom;
exports.default = _default;
//# sourceMappingURL=ModalBottom.js.map