"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _Molecules = require("../../Molecules");

var _modal = require("./modal.styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * giving props.body would override default button
 */
const ModalCenter = _ref => {
  let {
    isVisible,
    modalStyle,
    image,
    description,
    imageStyle,
    title,
    onPress,
    buttonTitle,
    body,
    ...props
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, _extends({
    animationIn: "slideInUp",
    isVisible: isVisible,
    swipeDirection: ['down'],
    hideModalContentWhileAnimating: true,
    useNativeDriver: true
  }, props), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_modal.styles.modalContainer, modalStyle, {
      padding: 20
    }]
  }, image ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _modal.styles.thumbnailWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    resizeMode: "contain",
    source: image,
    style: imageStyle ? imageStyle : {
      height: _theme.height * 0.25
    }
  })) : null, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: title,
    textStyle: {
      marginBottom: 12
    },
    size: "extraLarge",
    variant: "bold"
  }), /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: description,
    textStyle: {
      marginBottom: 12,
      textAlign: 'center',
      width: '90%'
    }
  }), onPress && !body ? /*#__PURE__*/_react.default.createElement(_Molecules.Button, {
    title: buttonTitle ? buttonTitle : 'Mengerti',
    onPress: onPress
  }) : null, body));
};

var _default = ModalCenter;
exports.default = _default;
//# sourceMappingURL=ModalCenter.js.map