"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _modal = require("./modal.styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ModalTop = _ref => {
  let {
    onBackdropPress,
    leftIconName,
    rightIconName,
    message,
    onPress,
    isVisible,
    isPage = true,
    color = _theme.colors.sec.blue,
    iconColor = _theme.colors.grey.white
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, {
    onBackdropPress: onBackdropPress,
    style: [_modal.styles.modalStyle],
    animationType: "slide",
    transparent: true,
    visible: isVisible
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_modal.styles.modalView, {
      backgroundColor: color,
      width: '100%'
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '10%'
    }
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: leftIconName,
    color: iconColor,
    size: _theme.width * 0.05
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '80%'
    }
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    style: _modal.styles.errorTextStyle,
    color: iconColor
  }, message)), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: onPress
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Icon, {
    name: rightIconName,
    size: _theme.width * 0.05,
    color: iconColor
  }))));
};

var _default = ModalTop;
exports.default = _default;
//# sourceMappingURL=ModalTop.js.map