"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _CarouselItem = _interopRequireDefault(require("./CarouselItem"));

var _slider = require("./slider.style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// TODO: implement auto play interval
const Carousel = _ref => {
  let {
    data = [],
    vibrate = false,
    style,
    wrapperStyle
  } = _ref;
  const ITEM_WIDTH = _theme.width * 0.85;
  const scrollRef = (0, _react.useRef)(null);
  const [timer, setTimer] = (0, _react.useState)(null);
  const [momentumStarted, setMomentumStarted] = (0, _react.useState)(false);
  const [isScrollTo, setIsScrollTo] = (0, _react.useState)(false);
  const [dragStarted, setDragStarted] = (0, _react.useState)(false);

  const onMomentumScrollBegin = () => {
    setMomentumStarted(true);
    timer && clearTimeout(timer);
  };

  const onScrollEndDrag = e => {
    setDragStarted(false);
    const _e = { ...e
    };
    timer && clearTimeout(timer);
    setTimer(setTimeout(() => {
      if (!momentumStarted) {
        scrollFix(_e);
      }
    }, 50));
  };

  const onMomentumScrollEnd = e => {
    setMomentumStarted(false);

    if (!isScrollTo && !dragStarted) {
      scrollFix(e);
    }
  };

  const onScrollBeginDrag = () => {
    setDragStarted(true);

    if (_reactNative.Platform.OS === 'ios') {
      setIsScrollTo(false);
    }

    timer && clearTimeout(timer);
  };

  const scrollFix = (0, _react.useCallback)(e => {
    var _e$nativeEvent;

    let x = 0;
    const w = ITEM_WIDTH;
    const extraMargin = _theme.width * 0.05;

    if (e !== null && e !== void 0 && (_e$nativeEvent = e.nativeEvent) !== null && _e$nativeEvent !== void 0 && _e$nativeEvent.contentOffset) {
      var _e$nativeEvent2, _e$nativeEvent2$conte;

      x = e === null || e === void 0 ? void 0 : (_e$nativeEvent2 = e.nativeEvent) === null || _e$nativeEvent2 === void 0 ? void 0 : (_e$nativeEvent2$conte = _e$nativeEvent2.contentOffset) === null || _e$nativeEvent2$conte === void 0 ? void 0 : _e$nativeEvent2$conte.x;
    }

    const selectedIdx = Math.round(x / w);

    const _x = selectedIdx * w;

    if (_x !== x) {
      var _scrollRef$current;

      if (_reactNative.Platform.OS === 'ios') {
        setIsScrollTo(true);
      }

      scrollRef === null || scrollRef === void 0 ? void 0 : (_scrollRef$current = scrollRef.current) === null || _scrollRef$current === void 0 ? void 0 : _scrollRef$current.scrollTo({
        x: _x + extraMargin
      });
      vibrate && _reactNative.Vibration.vibrate(50);
    }
  }, []);

  if (data.length) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [_slider.styles.sliderWrapper, wrapperStyle]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
      ref: scrollRef,
      horizontal: true,
      showsHorizontalScrollIndicator: false,
      style: style,
      bounces: false,
      onMomentumScrollBegin: _e => onMomentumScrollBegin(),
      onMomentumScrollEnd: e => onMomentumScrollEnd(e),
      onScrollBeginDrag: _e => onScrollBeginDrag(),
      onScrollEndDrag: e => onScrollEndDrag(e)
    }, data === null || data === void 0 ? void 0 : data.slice(0, 5).map((item, index) => {
      return /*#__PURE__*/_react.default.createElement(_CarouselItem.default, {
        key: index.toString(),
        item: item
      });
    })));
  } else {
    return null;
  }
};

var _default = Carousel;
exports.default = _default;
//# sourceMappingURL=Carousel.js.map