"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Molecules = require("../../Molecules");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const SliderItem = _ref => {
  let {
    item,
    onPress
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    activeOpacity: 0.8,
    style: {
      width: _theme.width,
      height: _theme.height * 0.35
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: item === null || item === void 0 ? void 0 : item.image,
    resizeMode: "cover",
    resizeMethod: "auto",
    style: {
      width: '100%',
      height: '100%'
    }
  }));
};

const SliderImage = _ref2 => {
  let {
    data = [],
    style,
    itemWidth
  } = _ref2;
  const ITEM_WIDTH = _theme.width || itemWidth;
  const scrollRef = (0, _react.useRef)(null);
  const [timer, setTimer] = (0, _react.useState)(null);
  const [momentumStarted, setMomentumStarted] = (0, _react.useState)(false);
  const [isScrollTo, setIsScrollTo] = (0, _react.useState)(false);
  const [dragStarted, setDragStarted] = (0, _react.useState)(false);
  const [imageData, setImageData] = (0, _react.useState)({
    isVisible: false,
    image: null
  });

  const onMomentumScrollBegin = () => {
    setMomentumStarted(true);
    timer && clearTimeout(timer);
  };

  const onScrollEndDrag = e => {
    setDragStarted(false);
    const _e = { ...e
    };
    timer && clearTimeout(timer);
    setTimer(setTimeout(() => {
      if (!momentumStarted) {
        scrollFix(_e);
      }
    }, 50));
  };

  const onMomentumScrollEnd = e => {
    setMomentumStarted(false);

    if (!isScrollTo && !dragStarted) {
      scrollFix(e);
    }
  };

  const onScrollBeginDrag = () => {
    setDragStarted(true);

    if (_reactNative.Platform.OS === 'ios') {
      setIsScrollTo(false);
    }

    timer && clearTimeout(timer);
  };

  const scrollFix = (0, _react.useCallback)(e => {
    var _e$nativeEvent;

    let x = 0;
    const w = ITEM_WIDTH;

    if (e !== null && e !== void 0 && (_e$nativeEvent = e.nativeEvent) !== null && _e$nativeEvent !== void 0 && _e$nativeEvent.contentOffset) {
      var _e$nativeEvent2, _e$nativeEvent2$conte;

      x = e === null || e === void 0 ? void 0 : (_e$nativeEvent2 = e.nativeEvent) === null || _e$nativeEvent2 === void 0 ? void 0 : (_e$nativeEvent2$conte = _e$nativeEvent2.contentOffset) === null || _e$nativeEvent2$conte === void 0 ? void 0 : _e$nativeEvent2$conte.x;
    }

    const selectedIdx = Math.round(x / w);

    const _x = selectedIdx * w;

    if (_x !== x) {
      var _scrollRef$current;

      if (_reactNative.Platform.OS === 'ios') {
        setIsScrollTo(true);
      }

      scrollRef === null || scrollRef === void 0 ? void 0 : (_scrollRef$current = scrollRef.current) === null || _scrollRef$current === void 0 ? void 0 : _scrollRef$current.scrollTo({
        x: _x
      });
    }
  }, []);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      width: _theme.width,
      height: _theme.height * 0.35
    }, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    ref: scrollRef,
    horizontal: true,
    showsHorizontalScrollIndicator: false,
    style: style,
    bounces: false,
    onMomentumScrollBegin: _e => onMomentumScrollBegin(),
    onMomentumScrollEnd: e => onMomentumScrollEnd(e),
    onScrollBeginDrag: _e => onScrollBeginDrag(),
    onScrollEndDrag: e => onScrollEndDrag(e)
  }, data === null || data === void 0 ? void 0 : data.map((item, index) => {
    return /*#__PURE__*/_react.default.createElement(SliderItem, {
      key: index,
      onPress: () => _showImage(item),
      item: item
    });
  })), /*#__PURE__*/_react.default.createElement(_Molecules.ImageViewer, {
    isVisible: imageData === null || imageData === void 0 ? void 0 : imageData.isVisible,
    image: imageData === null || imageData === void 0 ? void 0 : imageData.image,
    onBackdropPress: _closeModal,
    onBackButtonPress: _closeModal,
    onPress: _closeModal
  }));

  function _showImage(item) {
    setImageData({
      isVisible: true,
      image: item === null || item === void 0 ? void 0 : item.image
    });
  }

  function _closeModal() {
    setImageData({
      isVisible: false,
      image: null
    });
  }
};

var _default = SliderImage;
exports.default = _default;
//# sourceMappingURL=SliderImage.js.map