"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeSnapCarousel = _interopRequireWildcard(require("react-native-snap-carousel"));

var _theme = require("../../../constant/theme");

var _CarouselItem = _interopRequireDefault(require("./CarouselItem"));

var _slider = require("./slider.style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const SnapCarousel = _ref => {
  let {
    data = [],
    contentContainerStyle,
    containerStyle,
    showDot = true
  } = _ref;
  const [activeSlide, setActiveSlide] = (0, _react.useState)(0);

  const renderCarouselItem = _ref2 => {
    let {
      item,
      index
    } = _ref2;
    return /*#__PURE__*/_react.default.createElement(_CarouselItem.default, {
      key: index,
      item: item
    });
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNativeSnapCarousel.default, {
    enableMomentum: false,
    decelerationRate: 0.1,
    activeSlideOffset: 1,
    scrollEndDragDebounceValue: 0.1,
    removeClippedSubviews: false,
    animationFunc: 'timing',
    animationOptions: {
      friction: 4,
      tension: 40,
      isInteraction: false,
      useNativeDriver: true
    },
    containerCustomStyle: [_slider.styles.carouselItemContainer, containerStyle],
    contentContainerCustomStyle: [_slider.styles.contentBody, contentContainerStyle],
    data: data,
    enableSnap: true,
    loop: true,
    loopClonesPerSide: data === null || data === void 0 ? void 0 : data.length,
    autoplay: true,
    autoplayInterval: 7000,
    hasParallaxImages: false,
    renderItem: renderCarouselItem,
    onSnapToItem: index => setActiveSlide(index),
    sliderWidth: _theme.width,
    itemWidth: _theme.width * 0.85,
    itemHeight: _theme.height * 0.2
  }), showDot ? /*#__PURE__*/_react.default.createElement(_reactNativeSnapCarousel.Pagination, {
    dotsLength: data === null || data === void 0 ? void 0 : data.length,
    activeDotIndex: activeSlide,
    containerStyle: _slider.styles.contentBody,
    dotStyle: _slider.styles.dotStyle,
    animatedTension: 100,
    animatedFriction: 100,
    inactiveDotStyle: _slider.styles.inactiveDot,
    inactiveDotOpacity: 1,
    inactiveDotScale: 1
  }) : null);
};

var _default = SnapCarousel;
exports.default = _default;
//# sourceMappingURL=SnapCarousel.js.map