"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeSafeAreaContext = require("react-native-safe-area-context");

var _theme = require("../constant/theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const SafeAreaViewWrapper = function (WrappedComp, topContent) {
  let scrollEnabled = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
  return props => {
    return /*#__PURE__*/_react.default.createElement(_reactNativeSafeAreaContext.SafeAreaView, {
      style: [styles.container, {
        backgroundColor: _theme.colors.grey.white
      }]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, {
      backgroundColor: _theme.colors.grey.white,
      barStyle: "light-content",
      translucent: true
    }), /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
      contentContainerStyle: {
        flex: 1
      },
      scrollEnabled: scrollEnabled
    }, /*#__PURE__*/_react.default.createElement(WrappedComp, props)));
  };
};

const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1
  },
  brandWrapper: {
    width: _theme.width,
    justifyContent: 'center',
    alignItems: 'center',
    position: 'absolute',
    top: _theme.width * 0.1
  },
  brandIcon: {
    aspectRatio: 1,
    width: _theme.width * 0.21,
    height: _theme.width * 0.21
  },
  markIcon: {
    width: _theme.width * 0.7,
    height: _theme.width * 0.7,
    position: 'absolute',
    top: -_theme.width * 0.1,
    right: -_theme.width * 0.2
  }
});

var _default = SafeAreaViewWrapper;
exports.default = _default;
//# sourceMappingURL=SafeAreaViewWrapper.js.map