"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  mapPropsToStyleNames: true,
  brand: true,
  stocks: true,
  bottomSplash: true,
  bottomBg1: true,
  bottomBg2: true,
  loading: true,
  Icons: true,
  Images: true,
  Countdown: true,
  Icon: true,
  LottieView: true,
  ScannerView: true,
  Text: true,
  SafeAreaViewWrapper: true
};
Object.defineProperty(exports, "Countdown", {
  enumerable: true,
  get: function () {
    return _Atoms.Countdown;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _Atoms.Icon;
  }
});
Object.defineProperty(exports, "Icons", {
  enumerable: true,
  get: function () {
    return _icons.Icons;
  }
});
Object.defineProperty(exports, "Images", {
  enumerable: true,
  get: function () {
    return _images.Images;
  }
});
Object.defineProperty(exports, "LottieView", {
  enumerable: true,
  get: function () {
    return _Atoms.LottieView;
  }
});
Object.defineProperty(exports, "SafeAreaViewWrapper", {
  enumerable: true,
  get: function () {
    return _SafeAreaViewWrapper.default;
  }
});
Object.defineProperty(exports, "ScannerView", {
  enumerable: true,
  get: function () {
    return _Atoms.ScannerView;
  }
});
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _Atoms.Text;
  }
});
exports.stocks = exports.mapPropsToStyleNames = exports.loading = exports.brand = exports.bottomSplash = exports.bottomBg2 = exports.bottomBg1 = void 0;

var _lodash = require("lodash");

var _icons = require("./assets/icons");

var _images = require("./assets/images");

var _lottie = require("./assets/lottie");

var _Atoms = require("./Components/Atoms");

var _SafeAreaViewWrapper = _interopRequireDefault(require("./Components/SafeAreaViewWrapper"));

var _helpers = require("./helpers");

Object.keys(_helpers).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _helpers[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _helpers[key];
    }
  });
});

var _Molecules = require("./Components/Molecules");

Object.keys(_Molecules).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _Molecules[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _Molecules[key];
    }
  });
});

var _Organisms = require("./Components/Organisms");

Object.keys(_Organisms).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _Organisms[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _Organisms[key];
    }
  });
});

var _theme = require("./constant/theme");

Object.keys(_theme).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _theme[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _theme[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// assets-images
// assets-lottie
const {
  brand,
  stocks,
  bottomSplash,
  bottomBg1,
  bottomBg2
} = _images.Images;
exports.bottomBg2 = bottomBg2;
exports.bottomBg1 = bottomBg1;
exports.bottomSplash = bottomSplash;
exports.stocks = stocks;
exports.brand = brand;
const {
  loading
} = _lottie.lottie;
exports.loading = loading;

const mapPropsToStyleNames = (styleNames, props) => (0, _lodash.keys)(props);

exports.mapPropsToStyleNames = mapPropsToStyleNames;
//# sourceMappingURL=index.js.map