import React from 'react';
import { Image, StyleSheet, View } from 'react-native';
import { lottie } from '../../assets/lottie';
import { width } from '../../constant/theme';
import LottieView from './LottieView';

const ScannerView = () => {
  const frame = require('../../assets/images/scan_mask.png');

  return /*#__PURE__*/React.createElement(View, {
    style: styles.wrapper
  }, /*#__PURE__*/React.createElement(Image, {
    source: frame,
    style: {
      width: width * 0.9,
      height: width * 0.9
    },
    resizeMethod: "auto",
    resizeMode: "contain"
  }), /*#__PURE__*/React.createElement(View, {
    style: {
      position: 'absolute'
    }
  }, /*#__PURE__*/React.createElement(LottieView, {
    source: lottie.scanning,
    size: width * 0.5
  })));
};

const styles = StyleSheet.create({
  wrapper: {
    backgroundColor: 'transparent',
    justifyContent: 'center',
    alignItems: 'center'
  }
});
export default ScannerView;
//# sourceMappingURL=ScannerView.js.map