function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { StyleSheet, TouchableOpacity } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { Icon } from '../../Atoms';

const ButtonIcon = _ref => {
  let {
    btnColor = colors.grey.grey8,
    onPress,
    iconSize,
    iconName,
    iconColor = colors.grey.white,
    customIcon,
    style = {},
    disabled,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    onPress: onPress,
    activeOpacity: 0.8,
    disabled: disabled,
    style: [styles.container, {
      backgroundColor: disabled ? colors.grey.grey9 : btnColor
    }, style]
  }, props), customIcon ? customIcon : /*#__PURE__*/React.createElement(Icon, {
    name: iconName,
    color: iconColor,
    size: iconSize ? iconSize : width * 0.1
  }));
};

const styles = StyleSheet.create({
  container: {
    justifyContent: 'center',
    alignItems: 'center',
    width: width * 0.05,
    height: width * 0.05,
    borderRadius: width * 0.05 / 2
  }
});
export default ButtonIcon;
//# sourceMappingURL=ButtonIcon.js.map