import React from 'react';
import { StyleSheet, TouchableOpacity } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { Text } from '../../Atoms';
export default function ButtonRound(_ref) {
  let {
    title,
    onPress,
    buttonStyle,
    textColor
  } = _ref;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress,
    style: buttonStyle ? buttonStyle : styles.buttonActive
  }, /*#__PURE__*/React.createElement(Text, {
    text: title,
    color: textColor ? textColor : colors.grey.white
  }));
}
const styles = StyleSheet.create({
  buttonActive: {
    backgroundColor: colors.primary,
    paddingHorizontal: width * 0.03,
    paddingVertical: width * 0.02,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 20,
    borderWidth: 1,
    borderColor: colors.grey.grey2
  }
});
//# sourceMappingURL=ButtonRound.js.map