import moment from 'moment-timezone';
import 'moment/locale/id';
import React from 'react';
import { Image, StyleSheet, TouchableOpacity, View } from 'react-native';
import { Icons } from '../../../assets/icons';
import { colors, width } from '../../../constant/theme';
import { formatMoney } from '../../../helpers';
import { Text } from '../../Atoms';
const defaultIcon = Icons.bagPrimary;

const OrderItem = _ref => {
  var _data$items, _data$items2;

  let {
    data,
    imageIcon,
    style,
    onPress
  } = _ref;
  const formattedDate = data !== null && data !== void 0 && data.orderDate ? `${moment(data === null || data === void 0 ? void 0 : data.orderDate).format('LL')}, ${moment(data === null || data === void 0 ? void 0 : data.orderDate).format('LT')}` : '';
  const item = data === null || data === void 0 ? void 0 : data.items[0];
  const renderName = (data === null || data === void 0 ? void 0 : (_data$items = data.items) === null || _data$items === void 0 ? void 0 : _data$items.length) > 1 ? `${item === null || item === void 0 ? void 0 : item.name} + ${(data === null || data === void 0 ? void 0 : (_data$items2 = data.items) === null || _data$items2 === void 0 ? void 0 : _data$items2.length) - 1} Lainnya` : item === null || item === void 0 ? void 0 : item.name;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    activeOpacity: 0.8,
    onPress: onPress,
    style: [styles.cardWrapper, style]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.header
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.flex1
  }, /*#__PURE__*/React.createElement(Image, {
    source: imageIcon ? imageIcon : defaultIcon,
    style: styles.headIcon,
    resizeMode: "contain"
  })), /*#__PURE__*/React.createElement(View, {
    style: styles.headBody
  }, /*#__PURE__*/React.createElement(Text, {
    text: data === null || data === void 0 ? void 0 : data.number,
    variant: "bold"
  }), /*#__PURE__*/React.createElement(Text, {
    text: formattedDate,
    variant: "light"
  }))), /*#__PURE__*/React.createElement(View, {
    style: styles.body
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 2
    }
  }, /*#__PURE__*/React.createElement(Image, {
    source: item ? {
      uri: item.image_url
    } : {},
    style: styles.itemImage,
    resizeMode: "contain"
  })), /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 8,
      paddingLeft: width * 0.03
    }
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      alignItems: 'flex-start'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    text: data === null || data === void 0 ? void 0 : data.status,
    color: data === null || data === void 0 ? void 0 : data.textColor,
    size: "small",
    textStyle: [styles.status, {
      backgroundColor: data !== null && data !== void 0 && data.statusColor ? data === null || data === void 0 ? void 0 : data.statusColor : colors.trans.primary10
    }],
    numberOfLines: 1
  })), /*#__PURE__*/React.createElement(View, {
    style: {
      paddingTop: width * 0.02
    }
  }, /*#__PURE__*/React.createElement(Text, {
    text: renderName,
    variant: "bold"
  }), /*#__PURE__*/React.createElement(Text, {
    text: formatMoney(item === null || item === void 0 ? void 0 : item.price),
    variant: "light",
    textStyle: {
      marginTop: width * 0.03
    }
  })))));
};

const styles = StyleSheet.create({
  flex1: {
    flex: 1
  },
  cardWrapper: {
    borderWidth: 1,
    borderColor: colors.grey.soft,
    borderRadius: width * 0.05,
    padding: width * 0.05
  },
  header: {
    flexDirection: 'row',
    alignItems: 'flex-start',
    justifyContent: 'flex-start',
    borderBottomColor: colors.grey.soft,
    borderBottomWidth: 1,
    paddingBottom: width * 0.03
  },
  headIcon: {
    width: width * 0.08,
    height: width * 0.08,
    aspectRatio: 1
  },
  itemImage: {
    width: width * 0.15,
    height: width * 0.15,
    aspectRatio: 1
  },
  headBody: {
    flex: 9,
    paddingLeft: width * 0.05
  },
  body: {
    flexDirection: 'row',
    alignItems: 'flex-start',
    justifyContent: 'flex-start',
    paddingTop: width * 0.03
  },
  status: {
    paddingVertical: width * 0.01,
    borderRadius: width * 0.01,
    paddingHorizontal: width * 0.02
  }
});
export default OrderItem;
//# sourceMappingURL=OrderItem.js.map