import React from 'react';
import { Image, StyleSheet, TouchableOpacity, View } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { Icon, Text } from '../../Atoms';
import { ButtonText } from '../Button';

const StoreMedium = _ref => {
  var _data$id, _data$distance;

  let {
    data = {},
    onCardPress,
    style,
    imageStyle,
    btnColor
  } = _ref;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onCardPress,
    key: data === null || data === void 0 ? void 0 : (_data$id = data.id) === null || _data$id === void 0 ? void 0 : _data$id.toString(),
    style: [styles.cardWrapper, styles.shadow, style]
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.imageWrapper, imageStyle]
  }, /*#__PURE__*/React.createElement(Image, {
    source: data === null || data === void 0 ? void 0 : data.image,
    resizeMode: "cover",
    resizeMethod: "auto",
    style: styles.imageThumbnail
  })), /*#__PURE__*/React.createElement(View, {
    style: styles.distanceWrapper
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "location",
    color: colors.primary,
    size: 15
  }), /*#__PURE__*/React.createElement(Text, {
    text: (data === null || data === void 0 ? void 0 : (_data$distance = data.distance) === null || _data$distance === void 0 ? void 0 : _data$distance.toString()) + ' km',
    variant: "light",
    textStyle: {
      marginLeft: width * 0.01
    }
  })), /*#__PURE__*/React.createElement(Text, {
    text: data === null || data === void 0 ? void 0 : data.name,
    variant: "bold",
    textStyle: styles.cardTitle,
    size: "large"
  }), /*#__PURE__*/React.createElement(Text, {
    text: data === null || data === void 0 ? void 0 : data.address,
    textStyle: styles.cardTitle
  }), /*#__PURE__*/React.createElement(View, {
    style: styles.distanceWrapper
  }, /*#__PURE__*/React.createElement(ButtonText, {
    title: (data === null || data === void 0 ? void 0 : data.status) || '',
    textColor: btnColor
  })));
};

const styles = StyleSheet.create({
  shadow: {
    elevation: 3,
    shadowColor: colors.grey.grey4,
    shadowOffset: {
      width: 0,
      height: 0
    },
    shadowRadius: 10,
    shadowOpacity: 0.1
  },
  cardWrapper: {
    backgroundColor: 'white',
    width: '43%',
    borderRadius: 20,
    padding: width * 0.03,
    margin: width * 0.03
  },
  imageWrapper: {
    width: '100%',
    height: width * 0.37,
    justifyContent: 'center',
    alignItems: 'center',
    marginBottom: width * 0.03
  },
  imageThumbnail: {
    width: '100%',
    height: '100%',
    aspectRatio: 1,
    borderRadius: 20
  },
  distanceWrapper: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    width: '100%'
  },
  cardTitle: {
    marginLeft: width * 0.01,
    width: '100%',
    textAlign: 'center',
    marginVertical: width * 0.03
  }
});
export default StoreMedium;
//# sourceMappingURL=StoreMedium.js.map