import React from 'react';
import { Image, StyleSheet, TouchableOpacity, View } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { formatMoney } from '../../../helpers';
import { Icon, Text } from '../../Atoms';
import { GhostButton, QtyButton } from '../Button';

const StoreProduct = _ref => {
  var _data$id;

  let {
    data = {},
    onCardPress,
    onActionPress,
    style,
    stock,
    qty,
    onPressTrash,
    onQtyChange
  } = _ref;
  // TODO: manage empty stock
  const emptyStock = stock - qty === 0;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onCardPress,
    key: data === null || data === void 0 ? void 0 : (_data$id = data.id) === null || _data$id === void 0 ? void 0 : _data$id.toString(),
    style: [styles.cardWrapper, style]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.imageWrapper
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: data === null || data === void 0 ? void 0 : data.image_url
    },
    style: styles.imageThumbnail,
    resizeMethod: "auto",
    resizeMode: "cover"
  })), /*#__PURE__*/React.createElement(View, {
    style: {
      padding: width * 0.03
    }
  }, /*#__PURE__*/React.createElement(Text, {
    text: data === null || data === void 0 ? void 0 : data.item_name,
    variant: "light",
    size: 'large',
    color: colors.grey.grey8,
    numberOfLines: 2,
    textStyle: {
      marginBottom: 10
    }
  }), /*#__PURE__*/React.createElement(Text, {
    text: formatMoney(data === null || data === void 0 ? void 0 : data.price),
    variant: "bold"
  }), qty ? /*#__PURE__*/React.createElement(View, {
    style: styles.row
  }, /*#__PURE__*/React.createElement(QtyButton, {
    initQty: qty,
    onValueChange: onQtyChange,
    inputAble: true
  }), /*#__PURE__*/React.createElement(View, {
    style: styles.verticalLine
  }), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPressTrash
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "trash-1",
    color: colors.error,
    size: 20
  }))) : /*#__PURE__*/React.createElement(GhostButton, {
    onPress: onActionPress,
    title: 'Tambah',
    style: {
      marginTop: width * 0.05
    }
  })));
};

const styles = StyleSheet.create({
  cardWrapper: {
    backgroundColor: 'white',
    width: '43%',
    borderRadius: 20,
    margin: width * 0.03,
    borderWidth: 0.5,
    borderColor: colors.grey.grey3
  },
  imageWrapper: {
    width: '100%',
    aspectRatio: 1,
    marginBottom: width * 0.03
  },
  imageThumbnail: {
    width: '100%',
    height: '100%',
    aspectRatio: 1,
    borderRadius: 20,
    borderBottomRightRadius: 0,
    borderBottomLeftRadius: 0
  },
  verticalLine: {
    borderLeftWidth: 1,
    borderLeftColor: colors.grey.soft,
    marginHorizontal: width * 0.02,
    width: 1,
    height: '50%'
  },
  row: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-start'
  }
});
export default StoreProduct;
//# sourceMappingURL=StoreProduct.js.map