import React from 'react';
import { ActivityIndicator, Image, StyleSheet, TouchableOpacity, View } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { Text } from '../../Atoms';

const StoreSmall = _ref => {
  let {
    loading,
    data = {},
    style,
    onPress
  } = _ref;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress,
    activeOpacity: 0.8,
    style: [styles.cardStall, styles.shadow, style]
  }, loading ? /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(ActivityIndicator, {
    color: colors.primary
  })) : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: data === null || data === void 0 ? void 0 : data.image_url
    },
    style: styles.imageStall
  }), /*#__PURE__*/React.createElement(View, {
    style: {
      width: '80%'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    text: data === null || data === void 0 ? void 0 : data.name,
    variant: "bold",
    textStyle: {
      marginBottom: width * 0.01
    },
    numberOfLines: 1
  }), /*#__PURE__*/React.createElement(Text, {
    text: data === null || data === void 0 ? void 0 : data.formattedAddress,
    numberOfLines: 3
  }))));
};

const styles = StyleSheet.create({
  shadow: {
    elevation: 3,
    shadowColor: colors.grey.grey4,
    shadowOffset: {
      width: 0,
      height: 0
    },
    shadowRadius: 10,
    shadowOpacity: 0.1
  },
  cardStall: {
    margin: width * 0.05,
    padding: width * 0.03,
    backgroundColor: 'white',
    borderRadius: width * 0.02,
    flexDirection: 'row',
    alignItems: 'flex-start',
    justifyContent: 'space-between'
  },
  imageStall: {
    width: width * 0.14,
    height: width * 0.14,
    aspectRatio: 1,
    borderRadius: width * 0.02
  }
});
export default StoreSmall;
//# sourceMappingURL=StoreSmall.js.map