function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useEffect, useState } from 'react';
import { TouchableOpacity, View } from 'react-native';
import { colors } from '../../../constant/theme';
import { Icon } from '../../Atoms';
import { TextInputIcon } from '../Input';
import Header from './Header';
import { styles } from './header.style';

const HeaderSearch = _ref => {
  let {
    noShadow,
    style,
    onPress,
    onChangeVal,
    iconColor,
    placeholder = 'Search here',
    ...props
  } = _ref;
  const [searchVal, setSearchVal] = useState('');
  useEffect(() => {
    onChangeVal(searchVal);
  }, [searchVal]);
  return /*#__PURE__*/React.createElement(Header, {
    noShadow: noShadow,
    style: style
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.headerSearch
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "arrow-left",
    color: iconColor ? iconColor : colors.grey.black,
    size: 30
  })), /*#__PURE__*/React.createElement(TextInputIcon, _extends({
    style: styles.searchInput,
    placeholder: placeholder,
    onChangeText: val => setSearchVal(val),
    value: searchVal
  }, props))));
};

export default HeaderSearch;
//# sourceMappingURL=HeaderSearch.js.map