function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Image, StatusBar, StyleSheet, TouchableOpacity } from 'react-native';
import Modal from 'react-native-modal';
import { colors, height, width } from '../../../constant/theme';

const ImageViewer = _ref => {
  let {
    isVisible,
    image,
    onPress,
    modalStyle,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(Modal, _extends({
    animationIn: "slideInUp",
    isVisible: isVisible,
    swipeDirection: ['down'],
    hideModalContentWhileAnimating: true,
    useNativeDriver: true
  }, props), /*#__PURE__*/React.createElement(StatusBar, {
    backgroundColor: 'rgba(0,0,0,0.7)',
    translucent: true
  }), /*#__PURE__*/React.createElement(TouchableOpacity, {
    activeOpacity: 1,
    onPress: onPress,
    style: [styles.container, modalStyle]
  }, /*#__PURE__*/React.createElement(Image, {
    source: image,
    style: {
      width: '100%',
      height: '100%'
    },
    resizeMode: "contain",
    resizeMethod: "auto"
  })));
};

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    borderColor: colors.trans.black,
    borderRadius: 20,
    width: width * 0.9,
    height: height * 0.9
  }
});
export default ImageViewer;
//# sourceMappingURL=ImageViewer.js.map