import React, { useMemo } from 'react';
import { FlatList, Image, StyleSheet, TouchableOpacity, View } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { Icon, Text } from '../../Atoms';

const PickerIconGroup = _ref => {
  let {
    data = [],
    onSelect
  } = _ref;

  const renderItem = _ref2 => {
    let {
      item,
      index
    } = _ref2;
    return /*#__PURE__*/React.createElement(TouchableOpacity, {
      onPress: () => {
        onSelect(item);
      },
      style: styles.item
    }, item.image ? /*#__PURE__*/React.createElement(View, {
      style: {
        flex: 1
      }
    }, /*#__PURE__*/React.createElement(View, {
      style: styles.iconWrapper
    }, /*#__PURE__*/React.createElement(Image, {
      source: {
        uri: item.image
      },
      style: styles.iconImage
    }))) : null, /*#__PURE__*/React.createElement(View, {
      style: [{
        flex: item !== null && item !== void 0 && item.image ? 9 : 1
      }, styles.itemList]
    }, /*#__PURE__*/React.createElement(Text, {
      text: item === null || item === void 0 ? void 0 : item.name
    }), /*#__PURE__*/React.createElement(Icon, {
      name: "right",
      color: colors.grey.black,
      size: 20
    })));
  };

  const Content = useMemo(() => {
    return /*#__PURE__*/React.createElement(View, {
      style: {
        paddingTop: width * 0.03
      }
    }, data.map(el => {
      return /*#__PURE__*/React.createElement(View, {
        style: {
          marginBottom: width * 0.05
        }
      }, /*#__PURE__*/React.createElement(Text, {
        text: el.name,
        variant: "bold",
        color: colors.grey.grey8
      }), /*#__PURE__*/React.createElement(FlatList, {
        style: styles.listWrapper,
        data: el === null || el === void 0 ? void 0 : el.options,
        keyExtractor: (item, index) => index.toString(),
        renderItem: renderItem,
        nestedScrollEnabled: true,
        showsVerticalScrollIndicator: false
      }));
    }));
  }, [data]);
  return Content;
};

const styles = StyleSheet.create({
  listWrapper: {
    width: '100%'
  },
  item: {
    flex: 1,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    borderBottomColor: colors.grey.grey8,
    borderBottomWidth: 0.5,
    paddingVertical: width * 0.03
  },
  iconWrapper: {
    justifyContent: 'center',
    alignItems: 'center',
    width: 30,
    height: 30,
    borderRadius: 15,
    backgroundColor: colors.trans.primary10,
    borderColor: colors.primary,
    borderWidth: 1
  },
  iconImage: {
    width: '100%',
    height: '100%',
    aspectRatio: 1
  },
  itemList: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between'
  }
});
export default PickerIconGroup;
//# sourceMappingURL=PickerIconGroup.js.map