function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Sample of calling this picker
 * function showModalPrint() {
    pickerIconRef?.current?.showPicker(
              {
                title: 'Filter Kategori',
                type: 'basic',
                options: [
                  { title: 'Rumah & Otomotif', image: Icons.automotiveIco },
                ],
              },
              (item) => {
                console.log('return value', item);
              }
            )
  }
 */
import React, { forwardRef, useImperativeHandle, useState } from 'react';
import { StyleSheet, TouchableOpacity, View } from 'react-native';
import Modal from 'react-native-modal';
import { colors, width } from '../../../constant/theme';
import { Icon, Text } from '../../Atoms';
import PickerIcon from './PickerIcon';
import PickerIconGroup from './PickerIconGroup';
import RadioPicker from './RadioPicker';
const PickerList = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    disableBackdrop,
    ...props
  } = _ref;
  let Body = null;
  const [pickerData, setPickerData] = useState({
    isVisible: false,
    title: ''
  });
  useImperativeHandle(ref, () => ({
    showPicker: (basedata, onSelect) => _showPicker(basedata, onSelect),
    closePicker: () => _closePicker()
  }));

  if ((pickerData === null || pickerData === void 0 ? void 0 : pickerData.type) === 'radio') {
    var _pickerData$selectedI;

    Body = /*#__PURE__*/React.createElement(RadioPicker, {
      data: pickerData === null || pickerData === void 0 ? void 0 : pickerData.options,
      onSelect: item => {
        pickerData === null || pickerData === void 0 ? void 0 : pickerData.onSelect(item);

        _closePicker();
      },
      selectedId: pickerData === null || pickerData === void 0 ? void 0 : (_pickerData$selectedI = pickerData.selectedId) === null || _pickerData$selectedI === void 0 ? void 0 : _pickerData$selectedI.toString()
    });
  } else if ((pickerData === null || pickerData === void 0 ? void 0 : pickerData.type) === 'basic') {
    Body = /*#__PURE__*/React.createElement(PickerIcon, {
      data: pickerData === null || pickerData === void 0 ? void 0 : pickerData.options,
      onSelect: item => {
        pickerData === null || pickerData === void 0 ? void 0 : pickerData.onSelect(item);

        _closePicker();
      }
    });
  } else if ((pickerData === null || pickerData === void 0 ? void 0 : pickerData.type) === 'basicGroup') {
    Body = /*#__PURE__*/React.createElement(PickerIconGroup, {
      data: pickerData === null || pickerData === void 0 ? void 0 : pickerData.options,
      onSelect: item => {
        pickerData === null || pickerData === void 0 ? void 0 : pickerData.onSelect(item);

        _closePicker();
      }
    });
  } else {
    Body = null;
  }

  return /*#__PURE__*/React.createElement(Modal, _extends({
    onBackdropPress: disableBackdrop ? null : _closePicker,
    onBackButtonPress: disableBackdrop ? null : _closePicker,
    animationIn: "slideInUp",
    isVisible: pickerData === null || pickerData === void 0 ? void 0 : pickerData.isVisible,
    swipeDirection: ['down'],
    style: styles.wrapper,
    propagateSwipe: true,
    useNativeDriver: true
  }, props), /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.contentHeader
  }, /*#__PURE__*/React.createElement(Text, {
    variant: "bold",
    size: "large",
    text: pickerData === null || pickerData === void 0 ? void 0 : pickerData.title
  }), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: _closePicker
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "close-line",
    color: colors.grey.grey8,
    size: 20
  }))), Body));

  function _showPicker(data, cb) {
    setPickerData({ ...data,
      isVisible: true,
      onSelect: cb
    });
  }

  function _closePicker() {
    setPickerData({
      isVisible: false,
      title: null
    });
  }
});
const styles = StyleSheet.create({
  wrapper: {
    justifyContent: 'flex-end',
    margin: 0
  },
  container: {
    padding: width * 0.05,
    backgroundColor: 'white',
    borderRadius: 4,
    borderColor: 'rgba(0, 0, 0, 0.1)',
    borderTopLeftRadius: 20,
    borderTopRightRadius: 20
  },
  contentHeader: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    width: '100%'
  }
});
export default PickerList;
//# sourceMappingURL=PickerList.js.map