import React from 'react';
import { FlatList, Image, StyleSheet, TouchableOpacity, View } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { Text } from '../../Atoms';
import { RadioButton } from '../Button';

const RadioPicker = _ref => {
  let {
    data = [],
    selectedId,
    onSelect
  } = _ref;

  const renderItem = _ref2 => {
    var _item$id;

    let {
      item,
      index
    } = _ref2;
    const selected = Boolean(selectedId === (item === null || item === void 0 ? void 0 : (_item$id = item.id) === null || _item$id === void 0 ? void 0 : _item$id.toString()));
    return /*#__PURE__*/React.createElement(TouchableOpacity, {
      onPress: () => {
        onSelect(item);
      },
      style: styles.item
    }, item.image ? /*#__PURE__*/React.createElement(View, {
      style: {
        flex: 1
      }
    }, /*#__PURE__*/React.createElement(View, {
      style: styles.iconWrapper
    }, /*#__PURE__*/React.createElement(Image, {
      source: item.image,
      style: styles.iconImage
    }))) : null, /*#__PURE__*/React.createElement(View, {
      style: [{
        flex: item !== null && item !== void 0 && item.image ? 9 : 1
      }, styles.itemList]
    }, /*#__PURE__*/React.createElement(Text, {
      text: item === null || item === void 0 ? void 0 : item.title
    }), /*#__PURE__*/React.createElement(RadioButton, {
      selected: selected
    })));
  };

  return /*#__PURE__*/React.createElement(FlatList, {
    style: styles.listWrapper,
    data: data,
    keyExtractor: (item, index) => index.toString(),
    renderItem: renderItem,
    nestedScrollEnabled: true,
    showsVerticalScrollIndicator: false
  });
};

const styles = StyleSheet.create({
  listWrapper: {
    width: '100%'
  },
  item: {
    flex: 1,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    borderBottomColor: colors.grey.grey8,
    borderBottomWidth: 0.5,
    paddingVertical: width * 0.03
  },
  iconWrapper: {
    justifyContent: 'center',
    alignItems: 'center',
    padding: width * 0.015,
    width: 30,
    height: 30,
    borderRadius: 15,
    backgroundColor: colors.trans.primary10,
    borderColor: colors.primary,
    borderWidth: 1
  },
  iconImage: {
    width: '100%',
    height: '100%',
    aspectRatio: 1
  },
  itemList: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between'
  }
});
export default RadioPicker;
//# sourceMappingURL=RadioPicker.js.map