function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import PropTypes from 'prop-types';
import React, { useRef } from 'react';
import { KeyboardAwareScrollView } from 'react-native-keyboard-aware-scroll-view';

const Content = _ref => {
  let {
    children,
    disableKBDismissScroll,
    contentContainerStyle,
    keyboardShouldPersistTaps,
    showsVerticalScrollIndicator,
    ...props
  } = _ref;

  const _scrollView = useRef();

  return /*#__PURE__*/React.createElement(KeyboardAwareScrollView, _extends({
    ref: _scrollView
  }, props, {
    automaticallyAdjustContentInsets: false,
    contentContainerStyle: [{}, contentContainerStyle],
    resetScrollToCoords: disableKBDismissScroll ? null : {
      x: 0,
      y: 0
    },
    keyboardShouldPersistTaps: keyboardShouldPersistTaps || 'handled',
    showsVerticalScrollIndicator: showsVerticalScrollIndicator
  }), children);
};

Content.propTypes = {
  disableKBDismissScroll: PropTypes.bool,
  keyboardShouldPersistTaps: PropTypes.string,
  style: PropTypes.oneOfType([PropTypes.object, PropTypes.number, PropTypes.array])
};
export default Content;
//# sourceMappingURL=Content.js.map