function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useMemo } from 'react';
import { Image, KeyboardAvoidingView, Platform, StyleSheet, View } from 'react-native';
import Modal from 'react-native-modal';
import { width } from '../../../constant/theme';
import { Text } from '../../Atoms';
import Button from '../../Molecules/Button/Button';

const ModalBottom = _ref => {
  let {
    isVisible,
    title,
    description,
    localImage,
    imageUrl,
    onPress,
    onBackdropPress,
    onBackButtonPress,
    buttonTitle,
    imageStyle,
    bodyStyle,
    descStyle,
    body,
    ...props
  } = _ref;
  const imageSource = localImage ? localImage : {
    uri: imageUrl
  };
  const Content = useMemo(() => {
    const ContentWrapper = Platform.OS === 'ios' ? KeyboardAvoidingView : View;
    return /*#__PURE__*/React.createElement(Modal, _extends({
      onBackdropPress: onBackdropPress,
      onBackButtonPress: onBackButtonPress,
      animationIn: "slideInUp",
      isVisible: isVisible,
      swipeDirection: ['down'],
      style: styles.wrapper,
      propagateSwipe: true,
      useNativeDriver: true
    }, props), /*#__PURE__*/React.createElement(ContentWrapper, {
      behavior: "padding"
    }, /*#__PURE__*/React.createElement(View, {
      style: [styles.container, bodyStyle]
    }, /*#__PURE__*/React.createElement(View, {
      style: styles.centerTopALign
    }, imageUrl || localImage ? /*#__PURE__*/React.createElement(Image, {
      resizeMode: "contain",
      style: [styles.bottomImage, imageStyle],
      source: imageSource
    }) : null, /*#__PURE__*/React.createElement(Text, {
      variant: "bold",
      size: "large",
      text: title
    }), description ? /*#__PURE__*/React.createElement(View, {
      style: styles.body
    }, /*#__PURE__*/React.createElement(Text, {
      text: description,
      textStyle: [styles.descText, descStyle]
    })) : null), body ? body : /*#__PURE__*/React.createElement(Button, {
      onPress: onPress,
      title: buttonTitle
    }))));
  }, [props]);
  return Content;
};

const styles = StyleSheet.create({
  wrapper: {
    justifyContent: 'flex-end',
    margin: 0
  },
  container: {
    padding: width * 0.05,
    backgroundColor: 'white',
    borderRadius: 4,
    borderColor: 'rgba(0, 0, 0, 0.1)',
    borderTopLeftRadius: 20,
    borderTopRightRadius: 20
  },
  title: {
    marginBottom: 12
  },
  body: {
    width: '100%',
    justifyContent: 'center',
    alignSelf: 'center'
  },
  bottomImage: {
    width: width * 0.5,
    height: width * 0.5,
    margin: 10,
    borderRadius: 10
  },
  descText: {
    lineHeight: Platform.isPad ? 40 : 20,
    textAlign: 'center'
  },
  centerTopALign: {
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    marginBottom: width * 0.05
  }
});
export default ModalBottom;
//# sourceMappingURL=ModalBottom.js.map