function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Image, View } from 'react-native';
import Modal from 'react-native-modal';
import { height } from '../../../constant/theme';
import { Text } from '../../Atoms';
import { Button } from '../../Molecules';
import { styles } from './modal.styles';
/**
 * giving props.body would override default button
 */

const ModalCenter = _ref => {
  let {
    isVisible,
    modalStyle,
    image,
    description,
    imageStyle,
    title,
    onPress,
    buttonTitle,
    body,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(Modal, _extends({
    animationIn: "slideInUp",
    isVisible: isVisible,
    swipeDirection: ['down'],
    hideModalContentWhileAnimating: true,
    useNativeDriver: true
  }, props), /*#__PURE__*/React.createElement(View, {
    style: [styles.modalContainer, modalStyle, {
      padding: 20
    }]
  }, image ? /*#__PURE__*/React.createElement(View, {
    style: styles.thumbnailWrapper
  }, /*#__PURE__*/React.createElement(Image, {
    resizeMode: "contain",
    source: image,
    style: imageStyle ? imageStyle : {
      height: height * 0.25
    }
  })) : null, /*#__PURE__*/React.createElement(Text, {
    text: title,
    textStyle: {
      marginBottom: 12
    },
    size: "extraLarge",
    variant: "bold"
  }), /*#__PURE__*/React.createElement(Text, {
    text: description,
    textStyle: {
      marginBottom: 12,
      textAlign: 'center',
      width: '90%'
    }
  }), onPress && !body ? /*#__PURE__*/React.createElement(Button, {
    title: buttonTitle ? buttonTitle : 'Mengerti',
    onPress: onPress
  }) : null, body));
};

export default ModalCenter;
//# sourceMappingURL=ModalCenter.js.map