import React from 'react';
import { Platform, Pressable, View } from 'react-native';
import Modal from 'react-native-modal';
import { colors, verticalDpiNormalizer, width } from '../../../constant/theme';
import { Icon, Text } from '../../Atoms';
import { styles } from './modal.styles';

const ModalTop = _ref => {
  let {
    onBackdropPress,
    leftIconName,
    rightIconName,
    message,
    onPress,
    isVisible,
    isPage = true,
    color = colors.sec.blue,
    iconColor = colors.grey.white
  } = _ref;
  return /*#__PURE__*/React.createElement(Modal, {
    onBackdropPress: onBackdropPress,
    style: [styles.modalStyle],
    animationType: "slide",
    transparent: true,
    visible: isVisible
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.modalView, {
      backgroundColor: color,
      width: '100%'
    }]
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      width: '10%'
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: leftIconName,
    color: iconColor,
    size: width * 0.05
  })), /*#__PURE__*/React.createElement(View, {
    style: {
      width: '80%'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.errorTextStyle,
    color: iconColor
  }, message)), /*#__PURE__*/React.createElement(Pressable, {
    onPress: onPress
  }, /*#__PURE__*/React.createElement(Icon, {
    name: rightIconName,
    size: width * 0.05,
    color: iconColor
  }))));
};

export default ModalTop;
//# sourceMappingURL=ModalTop.js.map