import React, { useState } from 'react';
import { View } from 'react-native';
import Carousel, { Pagination } from 'react-native-snap-carousel';
import { colors, height, width } from '../../../constant/theme';
import CarouselItem from './CarouselItem';
import { styles } from './slider.style';

const SnapCarousel = _ref => {
  let {
    data = [],
    contentContainerStyle,
    containerStyle,
    showDot = true
  } = _ref;
  const [activeSlide, setActiveSlide] = useState(0);

  const renderCarouselItem = _ref2 => {
    let {
      item,
      index
    } = _ref2;
    return /*#__PURE__*/React.createElement(CarouselItem, {
      key: index,
      item: item
    });
  };

  return /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Carousel, {
    enableMomentum: false,
    decelerationRate: 0.1,
    activeSlideOffset: 1,
    scrollEndDragDebounceValue: 0.1,
    removeClippedSubviews: false,
    animationFunc: 'timing',
    animationOptions: {
      friction: 4,
      tension: 40,
      isInteraction: false,
      useNativeDriver: true
    },
    containerCustomStyle: [styles.carouselItemContainer, containerStyle],
    contentContainerCustomStyle: [styles.contentBody, contentContainerStyle],
    data: data,
    enableSnap: true,
    loop: true,
    loopClonesPerSide: data === null || data === void 0 ? void 0 : data.length,
    autoplay: true,
    autoplayInterval: 7000,
    hasParallaxImages: false,
    renderItem: renderCarouselItem,
    onSnapToItem: index => setActiveSlide(index),
    sliderWidth: width,
    itemWidth: width * 0.85,
    itemHeight: height * 0.2
  }), showDot ? /*#__PURE__*/React.createElement(Pagination, {
    dotsLength: data === null || data === void 0 ? void 0 : data.length,
    activeDotIndex: activeSlide,
    containerStyle: styles.contentBody,
    dotStyle: styles.dotStyle,
    animatedTension: 100,
    animatedFriction: 100,
    inactiveDotStyle: styles.inactiveDot,
    inactiveDotOpacity: 1,
    inactiveDotScale: 1
  }) : null);
};

export default SnapCarousel;
//# sourceMappingURL=SnapCarousel.js.map