import React from 'react';
import { ScrollView, StatusBar, StyleSheet } from 'react-native';
import { SafeAreaView } from 'react-native-safe-area-context';
import { colors, width } from '../constant/theme';

const SafeAreaViewWrapper = function (WrappedComp, topContent) {
  let scrollEnabled = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
  return props => {
    return /*#__PURE__*/React.createElement(SafeAreaView, {
      style: [styles.container, {
        backgroundColor: colors.grey.white
      }]
    }, /*#__PURE__*/React.createElement(StatusBar, {
      backgroundColor: colors.grey.white,
      barStyle: "light-content",
      translucent: true
    }), /*#__PURE__*/React.createElement(ScrollView, {
      contentContainerStyle: {
        flex: 1
      },
      scrollEnabled: scrollEnabled
    }, /*#__PURE__*/React.createElement(WrappedComp, props)));
  };
};

const styles = StyleSheet.create({
  container: {
    flex: 1
  },
  brandWrapper: {
    width: width,
    justifyContent: 'center',
    alignItems: 'center',
    position: 'absolute',
    top: width * 0.1
  },
  brandIcon: {
    aspectRatio: 1,
    width: width * 0.21,
    height: width * 0.21
  },
  markIcon: {
    width: width * 0.7,
    height: width * 0.7,
    position: 'absolute',
    top: -width * 0.1,
    right: -width * 0.2
  }
});
export default SafeAreaViewWrapper;
//# sourceMappingURL=SafeAreaViewWrapper.js.map