import React from 'react';
import { Image, StyleSheet, View } from 'react-native';
import { lottie } from '../../assets/lottie';
import { width } from '../../constant/theme';
import LottieView from './LottieView';

const ScannerView = () => {
  const frame = require('../../assets/images/scan_mask.png');
  return (
    <View style={styles.wrapper}>
      <Image
        source={frame}
        style={{ width: width * 0.9, height: width * 0.9 }}
        resizeMethod="auto"
        resizeMode="contain"
      />
      <View style={{ position: 'absolute' }}>
        <LottieView source={lottie.scanning} size={width * 0.5} />
      </View>
    </View>
  );
};

const styles = StyleSheet.create({
  wrapper: {
    backgroundColor: 'transparent',
    justifyContent: 'center',
    alignItems: 'center',
  },
});

export default ScannerView;
