import React from 'react';
import { StyleSheet, TouchableOpacity } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { Icon } from '../../Atoms';

const ButtonIcon = ({
  btnColor = colors.grey.grey8,
  onPress,
  iconSize,
  iconName,
  iconColor = colors.grey.white,
  customIcon,
  style = {},
  disabled,
  ...props
}) => {
  return (
    <TouchableOpacity
      onPress={onPress}
      activeOpacity={0.8}
      disabled={disabled}
      style={[
        styles.container,
        { backgroundColor: disabled ? colors.grey.grey9 : btnColor },
        style,
      ]}
      {...props}
    >
      {customIcon ? (
        customIcon
      ) : (
        <Icon
          name={iconName}
          color={iconColor}
          size={iconSize ? iconSize : width * 0.1}
        />
      )}
    </TouchableOpacity>
  );
};

const styles = StyleSheet.create({
  container: {
    justifyContent: 'center',
    alignItems: 'center',
    width: width * 0.05,
    height: width * 0.05,
    borderRadius: (width * 0.05) / 2,
  },
});

export default ButtonIcon;
