import React from 'react';
import { SafeAreaView, StatusBar, View } from 'react-native';
import { styles } from './header.style';

const Header = ({
  androidStatusBarColor,
  iosBarStyle,
  style,
  transparent,
  translucent,
  ref,
  noShadow = false,
  ...props
}) => {
  return (
    <View style={[styles.wrapper, noShadow ? {} : styles.shadow, style]}>
      <StatusBar
        backgroundColor={
          androidStatusBarColor ? androidStatusBarColor : 'white'
        }
        barStyle={iosBarStyle ? iosBarStyle : 'dark-content'}
        translucent={transparent ? true : translucent}
      />
      <SafeAreaView>
        <View ref={ref} {...props} />
      </SafeAreaView>
    </View>
  );
};

export default Header;
