import React from 'react';
import { StyleSheet, View } from 'react-native';
import Modal from 'react-native-modal';
import { colors } from '../../../constant/theme';
import Text from '../../Atoms/Text';

const Fullscreen = ({ isVisible, body, title, ...props }) => {
  return (
    <Modal
      animationIn="slideInUp"
      isVisible={isVisible}
      swipeDirection={['down']}
      hasBackdrop
      useNativeDriver={true}
      hideModalContentWhileAnimating={true}
      useNativeDriverForBackdrop={true}
      {...props}
    >
      <View style={styles.body}>
        {title ? (
          <Text text={title} color={colors.grey.white} variant="bold" />
        ) : null}
        {body}
      </View>
    </Modal>
  );
};

const styles = StyleSheet.create({
  body: {
    justifyContent: 'center',
    alignItems: 'center',
  },
});

export default Fullscreen;
