import React from 'react';
import { Image, StatusBar, StyleSheet, TouchableOpacity } from 'react-native';
import Modal from 'react-native-modal';
import { colors, height, width } from '../../../constant/theme';

const ImageViewer = ({ isVisible, image, onPress, modalStyle, ...props }) => {
  return (
    <Modal
      animationIn="slideInUp"
      isVisible={isVisible}
      swipeDirection={['down']}
      hideModalContentWhileAnimating={true}
      useNativeDriver
      {...props}
    >
      <StatusBar backgroundColor={'rgba(0,0,0,0.7)'} translucent />
      <TouchableOpacity
        activeOpacity={1}
        onPress={onPress}
        style={[styles.container, modalStyle]}
      >
        <Image
          source={image}
          style={{ width: '100%', height: '100%' }}
          resizeMode="contain"
          resizeMethod="auto"
        />
      </TouchableOpacity>
    </Modal>
  );
};

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    borderColor: colors.trans.black,
    borderRadius: 20,
    width: width * 0.9,
    height: height * 0.9,
  },
});

export default ImageViewer;
