import PropTypes from 'prop-types';
import React from 'react';
import { View } from 'react-native';
import Base from './basic.style';

const Container = ({ children, style, ...props }) => {
  return (
    <View style={[Base['Basic.Container'], style]} {...props}>
      {children}
    </View>
  );
};

Container.propTypes = {
  style: PropTypes.oneOfType([
    PropTypes.object,
    PropTypes.number,
    PropTypes.array,
  ]),
};

export default Container;
