import React from 'react';
import { StyleSheet, View } from 'react-native';
import { lottie } from '../../../assets/lottie';

import { width } from '../../../constant/theme';
import { LottieView } from '../../Atoms';
import Fullscreen from '../../Molecules/Modal/Fullscreen';

const { loading } = lottie;

const LoadingOverlay = ({ loadingTitle, isVisible, ...props }) => {
  return (
    <Fullscreen
      title={loadingTitle}
      isVisible={isVisible}
      body={
        <View style={styles.body}>
          <LottieView size={width * 0.25} source={loading} />
        </View>
      }
      {...props}
    />
  );
};

const styles = StyleSheet.create({
  body: { backgroundColor: 'white', borderRadius: width * 0.05 },
});

export default LoadingOverlay;
