import React from 'react';
import { Platform, Pressable, View } from 'react-native';
import Modal from 'react-native-modal';
import { colors, verticalDpiNormalizer, width } from '../../../constant/theme';
import { Icon, Text } from '../../Atoms';
import { styles } from './modal.styles';

const ModalTop = ({
  onBackdropPress,
  leftIconName,
  rightIconName,
  message,
  onPress,
  isVisible,
  isPage = true,
  color = colors.sec.blue,
  iconColor = colors.grey.white,
}) => {
  return (
    <Modal
      onBackdropPress={onBackdropPress}
      style={[styles.modalStyle]}
      animationType="slide"
      transparent={true}
      visible={isVisible}
    >
      <View
        style={[styles.modalView, { backgroundColor: color, width: '100%' }]}
      >
        <View style={{ width: '10%' }}>
          <Icon name={leftIconName} color={iconColor} size={width * 0.05} />
        </View>
        <View style={{ width: '80%' }}>
          <Text style={styles.errorTextStyle} color={iconColor}>
            {message}
          </Text>
        </View>
        <Pressable onPress={onPress}>
          <Icon name={rightIconName} size={width * 0.05} color={iconColor} />
        </Pressable>
      </View>
    </Modal>
  );
};

export default ModalTop;
