import React from 'react';
import { ScrollView, StatusBar, StyleSheet } from 'react-native';
import { SafeAreaView } from 'react-native-safe-area-context';
import { colors, width } from '../constant/theme';

const SafeAreaViewWrapper =
  (WrappedComp, topContent, scrollEnabled = true) =>
  (props) => {
    return (
      <SafeAreaView
        style={[
          styles.container,
          {
            backgroundColor: colors.grey.white,
          },
        ]}
      >
        <StatusBar
          backgroundColor={colors.grey.white}
          barStyle="light-content"
          translucent
        />

        <ScrollView
          contentContainerStyle={{ flex: 1 }}
          scrollEnabled={scrollEnabled}
        >
          <WrappedComp {...props} />
        </ScrollView>
      </SafeAreaView>
    );
  };

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
  brandWrapper: {
    width: width,
    justifyContent: 'center',
    alignItems: 'center',
    position: 'absolute',
    top: width * 0.1,
  },
  brandIcon: {
    aspectRatio: 1,
    width: width * 0.21,
    height: width * 0.21,
  },
  markIcon: {
    width: width * 0.7,
    height: width * 0.7,
    position: 'absolute',
    top: -width * 0.1,
    right: -width * 0.2,
  },
});

export default SafeAreaViewWrapper;
