import { keys } from 'lodash';
import { Icons } from './assets/icons';
import { Images } from './assets/images';
import { lottie } from './assets/lottie';
import {
  Countdown,
  Icon,
  LottieView,
  ScannerView,
  Text,
} from './Components/Atoms';
import SafeAreaViewWrapper from './Components/SafeAreaViewWrapper';
export * from './helpers';

export * from './Components/Molecules';
export * from './Components/Organisms';
export * from './constant/theme';
export {
  Text,
  Icon,
  LottieView,
  SafeAreaViewWrapper,
  Icons,
  Images,
  Countdown,
  ScannerView,
};
export { mapPropsToStyleNames };
// assets-images
export { brand, stocks, bottomSplash, bottomBg1, bottomBg2 };
// assets-lottie
export { loading };

const { brand, stocks, bottomSplash, bottomBg1, bottomBg2 } = Images;

const { loading } = lottie;

const mapPropsToStyleNames = (styleNames, props) => keys(props);
